SystemOrganization addCategory: #'Scriptaculous-Tests-Core-Functional'!
SystemOrganization addCategory: #'Scriptaculous-Tests-Core-Unit'!

WAComponent subclass: #SUAllTests
	instanceVariableNames: 'tabs selected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

SUAllTests subclass: #SUAllFunctionalTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUAllFunctionalTests class methodsFor: 'testing' stamp: 'dkh 11/18/2009 14:53'!
canBeRoot
	^ true! !

!SUAllFunctionalTests class methodsFor: 'accessing' stamp: 'jf 1/11/2010 12:50'!
description
	^ 'Scriptaculous Functional Test Suite'! !

!SUAllFunctionalTests class methodsFor: 'initialization' stamp: 'lr 1/14/2011 20:06'!
initialize
	(WAAdmin register: self asApplicationAt: 'javascript/scriptaculous')
		addLibrary: PTDevelopmentLibrary;
		addLibrary: SUDevelopmentLibrary;
		addLibrary: SUAllTestLibrary! !

!SUAllTests methodsFor: 'accessing' stamp: 'lr 3/12/2006 15:29'!
children
	^ selected collect: [ :each | each value ]! !

!SUAllTests methodsFor: 'initialization' stamp: 'lr 8/30/2008 11:45'!
initialize
	super initialize.
	self initializeTabs.
	selected := tabs first value! !

!SUAllTests methodsFor: 'initialization' stamp: 'lr 8/30/2008 11:58'!
initializeTabs
	tabs := OrderedCollection new
		add: 'Welcome' -> (Array
			with: 'Welcome' -> SUWelcomeTest new
			with: 'Counter' -> SUCounterTest new);
		add: 'Ajax' -> (Array
			with: 'Updater' -> SUUpdaterTest new
			with: 'Periodical' -> SUPeriodicalTest new
			with: 'Evaluator' -> SUEvaluatorTest new);
		add: 'Form' -> (Array
			with: 'Elements' -> SUFormTest new);
		add: 'Controls' -> (Array
			with: 'Autocompleter' -> SUAutocompleterTest new
			with: 'In Place Editor' -> SUInPlaceEditorTest new
			with: 'Slider' -> SUSliderTest new);
		add: 'Drag & Drop' -> (Array
			with: 'Drag & Drop' -> SUDragDropTest new
			with: 'Sortable' -> SUSortableTest new
			with: 'Sortable (two lists)' -> SUSortableDoubleTest new
			with: 'Tree' -> SUTreeTest new);
		add: 'Effects' -> (Array
			with: 'Effects' -> SUEffectsTest new
			with: 'Toggles' -> SUTogglesTest new
			with: 'Morph' -> SUMorphTest new);
		yourself! !

!SUAllTests methodsFor: 'rendering' stamp: 'dkh 11/18/2009 15:03'!
renderChildrenOn: html
	"Standard version of child layout."
	
	html div id: 'content'; with: [
		selected do: [ :each | html heading: each key; render: each value ] ]! !

!SUAllTests methodsFor: 'rendering' stamp: 'lr 3/12/2006 16:03'!
renderContentOn: html
	self renderHeaderOn: html.
	self renderMenuOn: html.
	self renderChildrenOn: html! !

!SUAllTests methodsFor: 'rendering' stamp: 'pmm 9/25/2007 06:44'!
renderHeaderOn: html
	html div id: 'header'; with: [
		html image
			id: 'logo';
			url: SUAllTestLibrary / #logoGif;
			altText: self title ]! !

!SUAllTests methodsFor: 'rendering' stamp: 'lr 3/30/2006 22:10'!
renderMenuOn: html
	html unorderedList id: 'menu'; with: [
		tabs do: [ :each |
			html listItem: [
				html anchor
					class: (selected = each value
						ifTrue: [ 'active' ]);
					callback: [ selected := each value ];
					with: each key ] ] ]! !

!SUAllTests methodsFor: 'accessing' stamp: 'lr 5/18/2007 22:38'!
states
	^ Array with: self! !

!SUAllTests methodsFor: 'accessing' stamp: 'lr 3/13/2006 20:59'!
title
	^ 'Seaside - script.aculo.us'! !

!SUAllTests methodsFor: 'updating' stamp: 'lr 9/8/2009 12:40'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: self title! !

WAComponent subclass: #SUClassBrowser
	instanceVariableNames: 'class selector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUClassBrowser class methodsFor: 'instance creation' stamp: 'lr 1/4/2008 14:00'!
onClass: aClass
	^ self new setClass: aClass! !

!SUClassBrowser methodsFor: 'rendering' stamp: 'lr 9/19/2009 17:56'!
renderCloseOn: html
	html submitButton
		callback: [ self answer ];
		with: 'Close'! !

!SUClassBrowser methodsFor: 'rendering' stamp: 'lr 9/19/2009 18:01'!
renderContentOn: html
	html form id: 'browser'; with: [
		html heading: class fullName.
		html div
			class: 'selectors';
			with: [ self renderSelectorsOn: html ].
		html div
			id: 'source';
			with: [ self renderSourceOn: html ].
		html div
			class: 'close';
			with: [ self renderCloseOn: html ] ]! !

!SUClassBrowser methodsFor: 'rendering' stamp: 'lr 9/19/2009 17:57'!
renderSelectorsOn: html
	html select
		size: 5;
		selected: selector;
		list: self selectors;
		callback: [ :value | self setSelector: value ];
		onChange: (html scriptaculous updater
			id: 'source';
			triggerForm: 'browser';
			on: #renderSourceOn: of: self)! !

!SUClassBrowser methodsFor: 'rendering' stamp: 'pmm 6/26/2011 13:35'!
renderSourceOn: html 
	| source |
	source := (self sourceCode ifNil: [ ^ self ]) greaseString readStream.
	html
		strong: class name , '>>' , source nextLine;
		break.
	[ source atEnd ] whileFalse: [
		[ source peek = Character tab ] whileTrue: [
			html
				space;
				space;
				space.
			source next ].
		html
			render: source nextLine;
			break ]! !

!SUClassBrowser methodsFor: 'accessing' stamp: 'jf 2/15/2010 23:36'!
selectors
	^ class selectors sorted! !

!SUClassBrowser methodsFor: 'initialization' stamp: 'lr 9/19/2009 17:50'!
setClass: aClass 
	class := aClass.
	self setSelector: #renderContentOn:! !

!SUClassBrowser methodsFor: 'initialization' stamp: 'lr 3/12/2006 14:07'!
setSelector: aSymbol
	selector := aSymbol! !

!SUClassBrowser methodsFor: 'accessing' stamp: 'lr 9/19/2009 17:52'!
sourceCode
	^ (class selectors includes: selector)
		ifTrue: [ class sourceCodeAt: selector ]! !

!SUClassBrowser methodsFor: 'rendering' stamp: 'jf 9/30/2009 01:10'!
style
	^ '#lightbox {
	background: url(' , (SUAllTestLibrary / #demoGif) greaseString , ') repeat white;
	border: 1px solid #e8a400;
	padding: 1em;
	width: 640px;
}
#browser h1 {
	margin: 0;
	padding: 0;
	font-size: 15px;
	text-align: center;
	padding-bottom: 1em;
}
#browser select {
	width: 100%;
}
#browser .selectors {
	margin-bottom: 1em;
}
#browser #source {
	padding: 1em;
	margin-bottom: 1em;
	border: 1px solid #dddddd;
	background-color: #f5f5f5;
	font: 12px Lucida Sans Typewriter, Courier, monospace;
}
#browser .close {
	text-align: center;
}'! !

WAComponent subclass: #SUFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

SUFunctionalTest subclass: #SUAutocompleterTest
	instanceVariableNames: 'text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUAutocompleterTest methodsFor: 'rendering' stamp: 'lr 1/3/2009 19:40'!
renderContentOn: html
	| textId |
	textId := html nextId.
	html paragraph: 'Start to type a Smalltalk class-name:'.
	html div: [
		html textInput
			id: textId;
			size: 30;
			value: text;
			callback: [ :value | text := value ].
		html div
			class: 'autocomplete';
			script: (html scriptaculous autocompleter
				element: textId;
				onSelected: (html scriptaculous request
					triggerFormElement: textId);
				on: #renderListOn:for: of: self) ]! !

!SUAutocompleterTest methodsFor: 'rendering' stamp: 'jf 7/11/2008 16:23'!
renderListOn: html for: aString
	| items |
	items := Smalltalk allClasses select: [ :each | each name includesSubstring: aString caseSensitive: false ].
	html unorderedList list: (items first: (items size min: 10))! !

!SUAutocompleterTest methodsFor: 'rendering' stamp: 'obi 7/29/2008 20:07'!
style
	^ 'div.autocomplete {
	position: absolute;
	background-color: white;
	border: 1px solid #888;
	margin: 0px;
	padding: 0px;
	z-index: 1000;
}
div.autocomplete ul, div.autocomplete ul li {
	list-style-type: none;
	line-height: 1.7;
	margin: 0px;
	padding: 0px;
}
div.autocomplete ul li.selected {
	background-color: #ffb;
}'! !

SUFunctionalTest subclass: #SUCounterTest
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUCounterTest class methodsFor: 'instance creation' stamp: 'lr 1/4/2008 11:27'!
new
	^ self on: 0! !

!SUCounterTest class methodsFor: 'instance creation' stamp: 'jf 3/13/2009 18:00'!
on: anInteger
	^ self basicNew initializeOn: anInteger; yourself! !

!SUCounterTest methodsFor: 'actions' stamp: 'lr 3/12/2006 13:23'!
decrease
	count := count - 1! !

!SUCounterTest methodsFor: 'actions' stamp: 'lr 3/12/2006 13:23'!
increase
	count := count + 1! !

!SUCounterTest methodsFor: 'initialization' stamp: 'jf 3/13/2009 18:00'!
initializeOn: anInteger
	self initialize.
	count := anInteger! !

!SUCounterTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:35'!
renderContentOn: html
	| id |
	html paragraph: [
		html span
			id: (id := html nextId);
			with: count.
		html space.
		html anchor
			onClick: (html scriptaculous updater
				id: id;
				callback: [ :render | self increase; renderCountOn: render ]);
			with: '++'.
		html space.
		html anchor
			onClick: (html scriptaculous updater
				id: id;
				callback: [ :render | self decrease; renderCountOn: render ]);
			with: '--' ]! !

!SUCounterTest methodsFor: 'rendering' stamp: 'lr 3/12/2006 13:26'!
renderCountOn: html
	html render: count! !

SUFunctionalTest subclass: #SUDragDropTest
	instanceVariableNames: 'cart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUDragDropTest methodsFor: 'accessing' stamp: 'lr 8/8/2007 14:56'!
cart
	^ cart ifNil: [ cart := Bag new ]! !

!SUDragDropTest methodsFor: 'accessing' stamp: 'lr 8/8/2007 14:57'!
inventory
	^ #( 'Broccoli' 'Brussels sprout' 'Cabbage' 'Cauliflower' 'Kale' 'Rapini' )! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'jf 2/15/2010 23:36'!
renderCartItemsOn: html
	self cart isEmpty
		ifTrue: [ ^ html text: 'Drop items here to add them to your cart.' ].
	self cart valuesAndCounts associations sorted do: [ :each |
		html div
			class: 'cart-item';
			passenger: each key;
			script: (html scriptaculous draggable
				revert: true;
				ghosting: true);
			with: [
				html text: each key.
				each value > 1
					ifTrue: [ html text: ' ('; text: each value; text: ')' ] ] ]! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:40'!
renderCartOn: html id: cartId
	html div
		class: 'cart';
		id: cartId;
		script: (html scriptaculous droppable
			accept: 'inventory-item';
			hoverclass: 'hover';
			onDrop: (html scriptaculous updater
				id: cartId;
				triggerPassenger: [ :value | self cart add: value ];
				callback: [ :renderer | self renderCartItemsOn: renderer ]));
		with: [ self renderCartItemsOn: html ]! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'obi 7/29/2008 19:30'!
renderContentOn: html
	| cartId |
	cartId := html nextId.
	self
		renderInventoryOn: html;
		renderCartOn: html id: cartId;
		renderTrashOn: html id: cartId! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:40'!
renderInventoryOn: html
	html div class: 'inventory'; with: [
		self inventory
			do: [ :each |
				html span
					passenger: each;
					class: 'inventory-item';
					script: (html scriptaculous draggable revert: true);
					with: each ]
			separatedBy: [ html text: ', ' ] ]! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:41'!
renderTrashOn: html id: cartId
	html div
		class: 'trash';
		script: (html scriptaculous droppable
			accept: 'cart-item';
			hoverclass: 'hover';
			onDrop: (html scriptaculous updater
				id: cartId;
				triggerPassenger: [ :value | self cart remove: value ];
				callback: [ :renderer | self renderCartItemsOn: renderer ];
				onSuccess: (html scriptaculous effect id: cartId; shake)));
		with: 'Drop items here to remove them from the cart.'! !

!SUDragDropTest methodsFor: 'rendering' stamp: 'obi 7/29/2008 19:50'!
style
	^ 'div.inventory {
	margin: 1em;
	cursor: move}
	
div.cart {
	margin: 1em;
	padding: 1em;
	border: 1px dashed #e8a400;
	cursor: move}
	
div.trash {
	margin: 1em;
	padding: 1em;
	border: 1px dashed #c5dea1;
	cursor: move}
	
.hover {	background-color: #eeeeee}
	
'! !

SUFunctionalTest subclass: #SUEffectsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUEffectsTest methodsFor: 'accessing' stamp: 'lr 3/28/2006 23:07'!
effects
	^ #( appear fade puff blindDown blindUp switchOff slideDown slideUp dropOut shake pulsate squish fold grow shrink highlight )! !

!SUEffectsTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:42'!
renderContentOn: html
	html paragraph: [
		self effects do: [ :each |
			html anchor
				onClick: (html scriptaculous effect
					id: 'effect';
					perform: each);
				with: (self labelForSelector: each) ]
			separatedBy: [ html text: ', ' ] ].
	self renderBox: 'effect' on: html! !

SUFunctionalTest subclass: #SUEvaluatorTest
	instanceVariableNames: 'selector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUEvaluatorTest methodsFor: 'rendering' stamp: 'obi 5/21/2010 20:12'!
renderContentOn: html
	html paragraph: 'CSS Selector:'.
	html form: [
		html paragraph: [
			html textInput
				id: 'selector';
				value: (selector ifNil: [ 'h1' ]);
				callback: [ :value | selector := value ].
			html submitButton
				onClick: (html prototype evaluator
					triggerFormElement: 'selector';
					on: #renderEvaluatorOn: of: self;
					return: false);
				text: 'highlight' ] ]! !

!SUEvaluatorTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:37'!
renderEvaluatorOn: aScript
	aScript scriptaculous selector
		add: selector;
		do: [ :each | each effect highlight ]! !

SUFunctionalTest subclass: #SUFormTest
	instanceVariableNames: 'textInput textArea checkBox radioButton selectList multiSelectList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUFormTest methodsFor: 'initialization' stamp: 'lr 2/8/2009 15:53'!
initialize
	super initialize.
	textInput := 'Text Input'.
	textArea := 'Text Area'.
	checkBox := false.
	radioButton := 1.
	selectList := 1.
	multiSelectList := 1 to: 2! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'lr 12/22/2008 23:37'!
renderCheckBoxOn: html
	self
		renderLabel: 'Check-Box'
		control: [ :fid :mid |
			html checkbox
				value: checkBox;
				callback: [ :value | checkBox := value ];
				onClick: (html scriptaculous updater
					id: mid;
					triggerForm: fid;
					callback: [ :r | r render: checkBox ]) ]
		model: checkBox
		on: html! !

!SUFormTest methodsFor: 'rendering' stamp: 'lr 3/28/2006 22:19'!
renderContentOn: html
	self renderTextInputOn: html.
	self renderTextAreaOn: html.
	self renderCheckBoxOn: html.
	self renderRadioButtonOn: html.
	self renderSelectListOn: html.
	self renderMultiSelectListOn: html! !

!SUFormTest methodsFor: 'rendering-utilities' stamp: 'sh 8/30/2008 18:01'!
renderLabel: aString control: aBlock model: anObject on: html
	| fid mid |
	fid := mid := nil.
	html div class: 'row'; with: [
		html div class: 'label'; with: aString.
		html div class: 'control'; with: [
			html form
				id: (fid := html nextId);
				with: [ html div: [ aBlock value: fid value: (mid := html nextId) ] ] ].
		html div class: 'model'; id: mid; with: anObject.
		html div class: 'clear' ]! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'lr 2/8/2009 15:54'!
renderMultiSelectListOn: html 
	self 
		renderLabel: 'Multi-Select-List'
		control: [ :fid :mid | 
			html multiSelect
				size: 3;
				list: (1 to: 9);
				selected: multiSelectList;
				callback: [ :value | multiSelectList := value ];
				onChange: (html scriptaculous updater
						id: mid;
						triggerForm: fid;
						callback: [ :r | r render: multiSelectList ]) ]
		model: multiSelectList
		on: html! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'obi 12/31/2009 21:43'!
renderRadioButtonOn: html
	self
		renderLabel: 'Radio-Button'
		control: [ :fid :mid |
			html radioGroup
				callback: [:value | radioButton := value ];
				selected: radioButton;
				with: [ :group |
					1 to: 3 do: [ :each |
						html label: [
							html radioButton
								group: group;
								value: each;
								onChange: (html scriptaculous updater
									id: mid;
									triggerForm: fid;
									callback: [ :r | r render: radioButton ]).
						 		html text: each ].
						html break ] ] ]
		model: radioButton
		on: html! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'lr 12/22/2008 23:38'!
renderSelectListOn: html
	self
		renderLabel: 'Select-List'
		control: [ :fid :mid |
			html select
				list: (1 to: 9);
				selected: selectList;
				callback: [ :value | selectList := value ];
				onChange: (html scriptaculous updater
					id: mid;
					triggerForm: fid;
					callback: [ :r | r render: selectList ]) ]
		model: selectList
		on: html! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'lr 12/22/2008 23:38'!
renderTextAreaOn: html
	self
		renderLabel: 'Text-Area'
		control: [ :fid :mid |
			html textArea columns: 20;
				value: textArea;
				callback: [ :value | textArea := value ];
				onChange: (html scriptaculous updater
					id: mid;
					triggerForm: fid;
					callback: [ :r | r render: textArea ]) ]
		model: textArea
		on: html! !

!SUFormTest methodsFor: 'rendering-elements' stamp: 'lr 12/22/2008 23:38'!
renderTextInputOn: html
	self
		renderLabel: 'Text-Input'
		control: [ :fid :mid |
			html textInput
				value: textInput;
				callback: [ :value | textInput := value ];
				onChange: (html scriptaculous updater
					id: mid;
					triggerForm: fid;
					callback: [ :r | r render: textInput ]) ]
		model: textInput
		on: html! !

!SUFormTest methodsFor: 'rendering' stamp: 'lr 3/28/2006 22:38'!
style
	^ 'div.row { margin: 5px; }
div.label { float: left; width: 20%; font-weight: bold; }
div.control { float: left; width: 50% }
div.model { float: left; width: 30%; }
div.clear { clear: both; }
select { width: 100px; }'! !

!SUFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 13:57'!
coreClass
	"Answer the actual implementation of the feature."
	
	^ nil! !

!SUFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/30/2006 22:10'!
renderBox: aString on: html
	html div id: aString; class: 'box'; with: [
		html div class: 'header'.
		html div
			class: 'content';
			with: 'Smalltalk Enterprise Aubergines' ]! !

!SUFunctionalTest methodsFor: 'testing' stamp: 'lr 1/4/2008 14:07'!
testClass
	"Answer the class that represents this example."
	
	^ self class! !

SUFunctionalTest subclass: #SUInPlaceEditorTest
	instanceVariableNames: 'text list selected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUInPlaceEditorTest methodsFor: 'initialization' stamp: 'lr 1/12/2008 09:28'!
initialize
	super initialize.
	text := 'Click me, edit me.'.
	list := #( 'Daffy Duck' 'Danger Duck' 'Duck Dodgers' 'Melissa Duck' 'Plucky Duck' ).
	selected := list first! !

!SUInPlaceEditorTest methodsFor: 'rendering' stamp: 'lr 1/12/2008 09:12'!
renderContentOn: html
	self renderInPlaceEditorOn: html.
	self renderInPlaceCollectionEditorOn: html! !

!SUInPlaceEditorTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:38'!
renderInPlaceCollectionEditorOn: html
	html paragraph
		script: (html scriptaculous inPlaceCollectionEditor
			collection: list;
			cancelControl: 'button';
			triggerInPlaceEditor: [ :value | selected := value ];
			callback: [ :r | r render: selected ]);
		with: selected
! !

!SUInPlaceEditorTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:38'!
renderInPlaceEditorOn: html
	html paragraph
		script: (html scriptaculous inPlaceEditor
			cancelControl: 'button';
			triggerInPlaceEditor: [ :value | text := value ];
			callback: [ :r | r render: text ]);
		with: text
! !

SUFunctionalTest subclass: #SUMorphTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUMorphTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:43'!
renderContentOn: html
	html div: [
		html textInput
			id: 'rules';
			style: 'width: 75%';
			value: 'margin-left: 120px; height: 140px; font-size: 20pt; width: 360px'.
		html submitButton
			onClick: (html scriptaculous effect
				morph;
				id: 'morph';
				style: (html scriptaculous formElement
					id: 'rules';
					value));
			text: 'Morph' ].
	self renderBox: 'morph' on: html! !

SUFunctionalTest subclass: #SUPeriodicalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUPeriodicalTest methodsFor: 'rendering' stamp: 'jf 2/5/2010 17:04'!
renderContentOn: html
	html paragraph
		script: (html scriptaculous updater
			interval: 1 seconds;
			on: #renderTimeOn: of: self);
		with: [ self renderTimeOn: html ]! !

!SUPeriodicalTest methodsFor: 'rendering' stamp: 'lr 3/12/2006 16:00'!
renderTimeOn: html
	html render: Time now! !

SUFunctionalTest subclass: #SUSliderTest
	instanceVariableNames: 'position'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUSliderTest methodsFor: 'initialization' stamp: 'lr 3/20/2006 19:49'!
initialize
	super initialize.
	position := 50! !

!SUSliderTest methodsFor: 'rendering' stamp: 'lr 1/14/2011 20:32'!
renderContentOn: html
	| trackId handleId positionId |
	trackId := html nextId.
	handleId := html nextId.
	positionId := html nextId.
	html paragraph: 'Slide between 0 and 100:'.
	html div id: trackId; class: 'track'; with: [ html div id: handleId; class: 'handle' ].
	html paragraph id: positionId; with: position.
	html script: (html scriptaculous slider
		handleId: handleId;
		trackId: trackId;
		value: position;
		range: (0 to: 100);
		onChange: (html scriptaculous updater
			id: positionId;
			triggerSliderCallback: [ :value | position := value rounded ];
			callback: [ :renderer | renderer render: position ]))! !

!SUSliderTest methodsFor: 'rendering' stamp: 'obi 7/28/2008 21:18'!
style
	^ 'div.track {
	width: 200px; height: 5px;
	background-color: #eee;
}
div.handle {
	width: 5px; height: 10px;
	background-color: #e8a400;
	cursor: move;
}'! !

SUFunctionalTest subclass: #SUSortableDoubleTest
	instanceVariableNames: 'left right'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUSortableDoubleTest methodsFor: 'private' stamp: 'lr 4/2/2006 12:30'!
classForObject: anObject
	^ anObject species = SmallInteger
		ifFalse: [ 'orange' ]
		ifTrue: [ 'green' ]! !

!SUSortableDoubleTest methodsFor: 'private' stamp: 'jf 9/30/2009 01:10'!
labelForObject: anObject 
	^ anObject class name , ': ' , anObject greaseString! !

!SUSortableDoubleTest methodsFor: 'accessing' stamp: 'lr 1/23/2010 14:11'!
left
	^ left ifNil: [ left := #($a $b) ]! !

!SUSortableDoubleTest methodsFor: 'accessing' stamp: 'lr 3/17/2006 13:50'!
left: aCollection
	left := aCollection! !

!SUSortableDoubleTest methodsFor: 'rendering' stamp: 'lr 4/7/2006 14:22'!
renderContentOn: html
	html div
		style: 'float: left;';
		with: [ self renderList: #left titled: 'Left List' on: html ].
	html div
		style: 'float: left;';
		with: [ self renderList: #right titled: 'Right List' on: html ].
	html div
		style: 'clear: both'! !

!SUSortableDoubleTest methodsFor: 'rendering' stamp: 'lr 4/3/2007 10:43'!
renderList: aSelector titled: aString on: html
	html heading level: 3; with: aString.
	html paragraph
		id: aSelector , 'status';
		with: [ self renderListModel: aSelector on: html ].
	self renderListItems: aSelector on: html! !

!SUSortableDoubleTest methodsFor: 'rendering' stamp: 'jf 9/30/2009 01:10'!
renderListItems: aSelector on: html 
	html unorderedList
		id: aSelector greaseString;
		style: 'width: 200px; min-height: 50px;';
		script: (html scriptaculous sortable
				constraint: false;
				dropOnEmpty: true;
				containment: #(#left #right );
				onUpdate: (html scriptaculous updater
						id: aSelector , 'status';
						triggerSortable: aSelector greaseString
							callback: 
								[ :values | 
								self 
									perform: aSelector asMutator
									with: values ];
						callback: 
							[ :renderer | 
							self 
								renderListModel: aSelector
								on: renderer ]));
		with: 
			[ (self perform: aSelector) do: 
				[ :each | 
				html listItem
					passenger: each;
					class: (self classForObject: each);
					with: (self labelForObject: each) ] ]! !

!SUSortableDoubleTest methodsFor: 'rendering' stamp: 'lr 3/30/2006 22:10'!
renderListModel: aSelector on: html
	html text: 'Model: '.
	(self perform: aSelector)
		do: [ :each | html render: each ]
		separatedBy: [ html text: ', ' ]! !

!SUSortableDoubleTest methodsFor: 'accessing' stamp: 'lr 1/23/2010 14:11'!
right
	^ right ifNil: [ right := #(1 2) ]! !

!SUSortableDoubleTest methodsFor: 'accessing' stamp: 'lr 3/17/2006 13:50'!
right: aCollection
	right := aCollection! !

!SUSortableDoubleTest methodsFor: 'rendering' stamp: 'lr 4/2/2006 12:31'!
style
	^ 'li.green, li.orange {
	margin: 4px;
	padding: 2px;
  	cursor: move;
}
li.green {
	background-color: #ecf3e1;
  	border: 1px solid #c5dea1;
}
li.orange {
	background-color: #fff4d8;
  	border: 1px solid #e8a400;
}'! !

SUFunctionalTest subclass: #SUSortableTest
	instanceVariableNames: 'collection'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUSortableTest methodsFor: 'initialization' stamp: 'lr 8/28/2007 23:54'!
initialize
	super initialize.
	collection := #( 'San Salvatore' 'Monte Bre' 'Calvagione' )! !

!SUSortableTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:40'!
renderContentOn: html
	| id |
	html unorderedList
		id: (id := html nextId);
		script: (html scriptaculous sortable
			onUpdate: (html scriptaculous request
				triggerSortable: id
				callback: [ :value | collection := value ]));
		with: [ self renderListItemsOn: html ]! !

!SUSortableTest methodsFor: 'rendering' stamp: 'lr 8/28/2007 23:54'!
renderListItemsOn: html
	collection do: [ :each |
		html listItem
			passenger: each;
			with: each ]! !

SUFunctionalTest subclass: #SUTogglesTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUTogglesTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:43'!
renderContentOn: html
	html paragraph: [
		self toggles do: [ :each |
			html anchor
				onClick: (html scriptaculous effect
					id: 'toggle';
					perform: each);
				with: (self labelForSelector: each) ]
			separatedBy: [ html text: ', ' ] ].
	self renderBox: 'toggle' on: html! !

!SUTogglesTest methodsFor: 'accessing' stamp: 'lr 5/2/2006 13:59'!
toggles
	^ #( toggleAppear toggleBlind toggleSlide )! !

SUFunctionalTest subclass: #SUTreeTest
	instanceVariableNames: 'tree'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUTreeTest methodsFor: 'private' stamp: 'lr 5/2/2006 11:38'!
childrenOf: anObject
	^ Array streamContents: [ :stream |
		tree do: [ :each |
			each key = anObject
				ifTrue: [ stream nextPut: each value ] ] ]! !

!SUTreeTest methodsFor: 'initialization' stamp: 'lr 5/2/2006 11:49'!
initialize
	super initialize.
	tree := OrderedCollection new
		add: nil -> 'Eukaryota';
			add: 'Eukaryota' -> 'Opisthokonts';
				add: 'Opisthokonts' -> 'Animalia';
				add: 'Opisthokonts' -> 'Choanoflagellates';
				add: 'Opisthokonts' -> 'Nucleariids';
				add: 'Opisthokonts' -> 'Fungi';
			add: 'Eukaryota' -> 'Amoebozoa';
				add: 'Amoebozoa' -> 'Plantae';
				add: 'Amoebozoa' -> 'Red algae';
				add: 'Amoebozoa' -> 'Glaucophytes';
			add: 'Eukaryota' -> 'Plants';
				add: 'Plants' -> 'Cercozoa';
				add: 'Plants' -> 'Foraminifera';
				add: 'Plants' -> 'Polycystinea';
				add: 'Plants' -> 'Acantharea';
				add: 'Plants' -> 'Sticholonche';
			add: 'Eukaryota' -> 'Rhizaria';
		yourself! !

!SUTreeTest methodsFor: 'rendering' stamp: 'lr 5/2/2006 11:39'!
renderChildren: aCollection on: html
	aCollection do: [ :each |
		html listItem
			passenger: each;
			with: [ self renderNode: each on: html ] ]! !

!SUTreeTest methodsFor: 'rendering' stamp: 'lr 12/22/2008 23:41'!
renderContentOn: html
	html unorderedList
		id: 'evolution';
		class: 'evolutionTree';
		script: (html scriptaculous sortable
			create;
			tree: true;
			onUpdate: (html scriptaculous request
				triggerTree: 'evolution'
				callback: [ :values | tree := values ]));
		with: [ self renderChildren: (self childrenOf: nil) on: html ]! !

!SUTreeTest methodsFor: 'rendering' stamp: 'lr 2/19/2007 13:45'!
renderNode: anObject on: html
	| children |
	html text: anObject.
	(children := self childrenOf: anObject) isEmpty ifFalse: [
		html unorderedList: [
			self renderChildren: children on: html ] ]! !

!SUTreeTest methodsFor: 'rendering' stamp: 'obi 7/28/2008 21:34'!
style
	^ 'ul.evolutionTree li {
	list-style: none;
	cursor: move}'! !

SUFunctionalTest subclass: #SUUpdaterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUUpdaterTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 15:40'!
insertionsFromFactory: aFactory
	^ Array
		with: aFactory insertion before
		with: aFactory insertion top
		with: aFactory insertion bottom
		with: aFactory insertion after! !

!SUUpdaterTest methodsFor: 'rendering' stamp: 'jf 7/19/2009 15:39'!
renderContentOn: html
	| elementId |
	elementId := html nextId.
	html paragraph: [
		(self insertionsFromFactory: html prototype) do: [ :each |
			html anchor
				onClick: (html scriptaculous updater
					id: elementId;
					insertion: each;
					on: #renderElementOn: of: self);
				with: each.
			html break ] ].
	html div: [ html div class: 'targetElement'; id: elementId; with: 'Target Element' ]! !

!SUUpdaterTest methodsFor: 'rendering' stamp: 'lr 4/3/2006 11:36'!
renderElementOn: html
	html div: Time now! !

!SUUpdaterTest methodsFor: 'rendering' stamp: 'obi 7/28/2008 21:31'!
style
	^ 'div.targetElement { background-color: #fff4d8; }'! !

SUFunctionalTest subclass: #SUWelcomeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUWelcomeTest methodsFor: 'rendering' stamp: 'lr 5/31/2007 07:44'!
renderContentOn: html
	 html paragraph: [
		html anchor url: self seaside; with: 'Seaside'.
		html text: ' provides a complete integration of '.
		html anchor url: self scriptaculous; with: 'script.aculo.us'.
		html text: ', allowing the use of the library without having to write a single line of JavaScript code. Everything can be configured and plugged together using Smalltalk objects. Try by yourself, by clicking through this functional test suite and by browsing the source-code.' ].
	html heading level: 2; with: 'Seaside'.
	html paragraph: [
		html anchor url: self seaside; with: 'Seaside'.
		html text: ' is a framework for developing sophisticated web applications in Smalltalk. It provides a layered set of abstractions over HTTP and HTML that let you build highly interactive web applications quickly, reusably and maintainably.' ].
	html heading level: 2; with: 'script.aculo.us'.
	html paragraph: [
		html anchor url: self scriptaculous; with: 'script.aculo.us'.
		html text: ' provides you with easy-to-use, compatible and, ultimately, totally cool JavaScript libraries to make your web sites and web applications fly, Web 2.0 style.' ]! !

!SUWelcomeTest methodsFor: 'accessing' stamp: 'jf 9/22/2008 12:33'!
scriptaculous
	^ WAUrl absolute: 'http://script.aculo.us/'! !

!SUWelcomeTest methodsFor: 'accessing' stamp: 'jf 9/22/2008 12:33'!
seaside
	^ WAUrl absolute: 'http://seaside.st/'! !

!SUWelcomeTest methodsFor: 'testing' stamp: 'lr 1/4/2008 13:58'!
testClass
	^ nil! !

JSObjectTest subclass: #SUEffectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Unit'!

!SUEffectTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
effect
	^ SUEffect context: self renderContext! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:23'!
testBasic
	self
		assert: self effect
		equals: 'Effect.toggle(this)'.
	self
		assert: (self effect id: 'foo'; fps: 24)
		equals: 'Effect.toggle("foo",{"fps":24})'.
	self
		assert: (self effect id: 'bar'; duration: 2; shake)
		equals: 'new Effect.Shake("bar",{"duration":2})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:24'!
testMorph
	self
		assert: (self effect style: 'color: #f00;'; morph)
		equals: 'new Effect.Morph(this,{"style":"color: #f00;"})'.
	self
		assert: (self effect id: 'foo'; style: 'color: #f00;'; morph)
		equals: 'new Effect.Morph("foo",{"style":"color: #f00;"})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testMove
	self
		assert: (self effect move: 1 @ 2)
		equals: 'new Effect.Move(this,{"x":1,"y":2})'.
	self
		assert: (self effect id: 'foo'; absolute; move: 3 @ 5)
		equals: 'new Effect.Move("foo",{"mode":"absolute","x":3,"y":5})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testOpacitiy
	self
		assert: (self effect opacity)
		equals: 'new Effect.Opacity(this)'.
	self
		assert: (self effect opacity; id: 'foo'; duration: 1)
		equals: 'new Effect.Opacity("foo",{"duration":1})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testParallel
	self
		assert: (self effect parallel: (Array with: self effect fade with: self effect slideUp))
		equals: 'new Effect.Parallel([new Effect.Fade(this),new Effect.SlideUp(this)])'.
	self
		assert: (self effect fps: 12; parallel: (Array with: self effect fade with: self effect slideUp))
		equals: 'new Effect.Parallel([new Effect.Fade(this),new Effect.SlideUp(this)],{"fps":12})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testScale
	self
		assert: (self effect scale: 50)
		equals: 'new Effect.Scale(this,50)'.
	self
		assert: (self effect id: 'foo'; duration: 1; scale: 25)
		equals: 'new Effect.Scale("foo",25,{"duration":1})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testToggle
	self
		assert: self effect toggleAppear
		equals: 'Effect.toggle(this,"Appear")'.
	self
		assert: (self effect id: 'foo'; toggleSlide)
		equals: 'Effect.toggle("foo","Slide")'.
	self
		assert: (self effect fps: 15; toggleBlind)
		equals: 'Effect.toggle(this,"Blind",{"fps":15})'! !

!SUEffectTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:04'!
testTween
	self
		assert: (self effect tweenFrom: 5 to: 0 using: 'blech')
		equals: 'new Effect.Tween(this,5,0,"blech")'! !

JSObjectTest subclass: #SUMiscTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Unit'!

!SUMiscTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:58'!
sound
	^ SUSound context: self renderContext! !

!SUMiscTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:22'!
testSound
	self
		assert: (self sound play: 'blah.mp3')
		equals: 'Sound.play("blah.mp3")'.
	self
		assert: (self sound play: 'blah.mp3'; replace: true)
		equals: 'Sound.play("blah.mp3",{"replace":true})'.
	self
		assert: (self sound play: 'blah.mp3'; track: 'mytrack')
		equals: 'Sound.play("blah.mp3",{"track":"mytrack"})'! !

!GRPackage class methodsFor: '*scriptaculous-tests-core' stamp: 'lr 2/17/2010 15:12'!
scriptaculousTestsCore
	^ self new
		name: 'Scriptaculous-Tests-Core';
		description: 'Functional and unit tests for the Scriptaculous-Core package.';
		addDependency: 'Scriptaculous-Core';
		addDependency: 'Prototype-Tests-Core';
		url: #seasideUrl;
		yourself! !

WAFileLibrary subclass: #SUAllTestLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Core-Functional'!

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
backgroundGif
	^ #(71 73 70 56 57 97 6 0 244 1 213 0 0 201 237 174 210 240 188 226 246 212 234 248 224 243 251 237 219 243 201 202 238 176 247 252 243 250 254 248 222 244 206 248 253 245 252 254 251 253 254 252 241 250 234 214 242 194 206 239 182 230 247 218 229 246 216 249 253 246 238 250 230 240 250 233 236 249 226 237 249 228 216 242 197 212 241 190 221 244 204 209 240 186 228 246 214 204 238 178 220 244 203 205 239 180 232 248 221 217 243 198 224 245 209 213 241 192 208 240 185 225 245 210 244 252 239 254 255 254 245 252 240 246 252 241 244 251 238 254 255 253 250 253 247 233 248 222 232 247 220 234 248 223 223 245 207 238 249 230 207 240 184 239 250 231 229 247 217 207 239 183 251 254 249 220 243 202 226 245 211 231 247 219 222 244 205 250 253 248 215 242 195 241 251 235 214 242 193 218 243 199 255 255 255 33 249 4 0 0 0 0 0 44 0 0 0 0 6 0 244 1 0 6 255 64 192 239 39 28 18 135 194 98 18 105 60 30 149 78 67 83 250 147 82 173 67 106 118 123 173 110 141 221 240 247 139 253 113 204 195 179 81 125 102 163 223 233 184 219 189 142 123 134 247 251 79 143 239 235 243 125 70 15 67 131 131 63 133 132 77 134 136 135 63 52 67 143 70 145 143 147 142 144 77 149 149 49 151 70 155 63 155 158 155 35 67 163 70 165 163 167 63 169 70 26 164 63 173 175 177 178 67 176 173 181 178 176 180 67 1 63 188 189 191 192 187 194 190 188 24 194 70 198 63 198 201 203 67 201 206 208 204 202 208 200 209 214 211 213 211 210 210 70 34 67 222 222 63 224 223 77 225 227 63 61 232 67 233 70 14 67 238 238 63 240 239 77 59 244 246 63 246 248 248 67 251 249 253 255 2 14 185 48 240 7 65 131 8 19 22 68 120 144 96 195 38 32 10 70 252 17 113 226 196 33 22 41 98 252 225 99 163 145 142 28 67 134 4 9 114 8 201 31 5 76 162 28 146 210 72 203 148 47 87 202 100 73 211 198 16 155 45 109 26 233 112 243 7 79 255 159 64 131 14 249 201 147 104 208 159 67 50 12 253 161 148 169 211 167 73 163 54 85 58 181 73 142 33 87 175 254 72 240 67 43 87 35 95 185 134 253 241 98 72 89 35 103 203 166 37 107 182 201 218 183 109 141 132 24 50 119 238 143 186 116 155 216 197 251 131 196 221 188 70 252 246 29 60 88 176 224 33 134 127 220 24 178 120 177 226 38 2 134 68 142 252 99 178 100 200 151 41 91 174 140 153 243 134 203 159 127 132 30 18 250 115 105 209 164 155 156 94 157 218 72 232 8 63 96 199 158 77 123 200 12 219 63 110 231 222 205 27 247 110 8 67 128 3 255 49 60 184 241 225 194 141 27 193 49 132 57 243 31 206 155 55 121 30 29 186 245 235 67 90 72 215 254 67 59 119 238 217 195 127 24 50 126 252 15 243 67 88 164 255 161 158 189 251 247 235 221 183 87 63 191 73 123 23 63 240 231 223 207 127 136 126 252 3 12 17 96 128 63 16 40 224 129 4 14 120 160 17 9 22 120 96 5 11 14 1 225 15 16 78 88 161 132 77 88 72 33 134 26 26 161 255 225 135 24 122 56 132 5 63 144 88 226 137 40 142 168 162 137 36 178 216 132 139 38 194 240 131 140 51 54 65 163 140 55 254 48 193 16 52 14 177 163 142 64 254 32 131 144 67 12 105 132 145 67 34 73 228 146 69 54 73 129 147 67 60 105 132 148 79 82 249 131 149 83 70 121 165 150 82 54 208 68 151 63 120 25 230 152 100 14 193 195 16 94 158 249 195 153 106 170 105 230 155 109 254 64 192 155 70 204 41 231 157 119 218 105 231 16 122 226 57 103 159 117 242 233 231 160 129 230 41 168 157 41 52 145 232 15 137 46 218 232 16 139 66 42 233 162 37 252 80 169 165 77 92 90 233 165 39 252 208 169 167 77 124 218 169 168 160 150 58 4 169 164 162 112 106 19 170 254 160 106 171 175 14 209 170 172 180 194 234 42 173 70 216 122 0 173 187 254 208 235 16 189 238 26 172 175 192 54 49 236 177 197 26 161 64 177 203 254 176 108 179 205 14 1 173 179 210 82 107 109 181 212 78 59 173 178 213 74 80 109 179 222 114 251 131 183 225 146 59 68 184 231 166 91 195 238 184 233 26 177 110 184 43 176 251 67 188 70 208 27 175 189 243 14 161 67 19 244 238 139 128 190 63 252 251 195 190 70 8 252 175 193 63 212 48 132 192 67 40 156 240 195 15 59 236 112 195 20 75 12 241 196 23 103 108 177 17 11 12 209 113 199 63 124 236 113 19 32 139 28 242 201 40 143 124 114 201 40 131 172 178 201 29 51 48 132 204 70 208 44 179 205 63 224 92 243 204 57 243 172 51 207 61 227 252 243 15 42 12 81 116 209 61 35 141 180 209 76 155 208 52 211 70 56 253 131 211 82 83 61 132 212 87 103 93 245 212 89 55 209 196 214 88 123 45 246 216 100 151 109 246 217 104 167 173 246 218 108 183 237 246 219 112 199 45 247 220 116 215 109 247 221 120 231 173 247 222 124 247 237 247 223 128 7 46 248 224 122 7 1 0 59) asByteArray! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
demoGif
	^ #(71 73 70 56 57 97 120 0 120 0 128 0 0 247 224 168 255 255 255 33 249 4 0 0 0 0 0 44 0 0 0 0 120 0 120 0 0 2 255 68 98 120 201 235 10 91 124 178 210 59 179 213 120 167 14 114 162 23 146 99 137 158 138 201 166 173 250 198 238 37 195 179 141 215 250 115 239 121 15 252 157 124 196 96 81 216 58 42 141 76 36 166 185 116 74 163 6 42 244 58 5 90 179 220 173 9 235 5 139 57 225 238 56 92 78 159 155 107 179 91 173 126 183 139 241 250 60 117 151 235 151 246 125 62 249 23 232 167 34 216 103 232 112 56 152 88 85 216 168 200 243 24 185 136 232 56 233 103 137 57 86 185 249 152 41 121 231 25 202 246 73 122 40 90 42 118 170 122 195 185 154 229 10 11 18 139 42 213 106 43 55 155 75 73 171 139 115 219 11 200 251 123 5 60 44 98 92 76 134 188 108 147 60 203 236 188 27 45 60 49 237 10 141 61 148 93 108 205 188 253 93 13 174 219 77 45 33 126 78 46 154 110 124 94 142 178 238 14 239 217 62 78 143 45 127 107 239 174 188 223 141 79 173 47 214 191 73 3 57 5 188 119 176 159 194 133 53 18 174 42 136 10 98 34 135 203 36 54 178 72 138 162 66 140 99 118 56 10 210 168 14 164 45 143 145 68 198 51 73 16 165 65 134 7 73 194 81 73 11 102 74 150 52 45 184 204 35 115 211 205 75 57 51 214 180 183 19 77 207 62 67 47 22 237 116 52 78 210 64 65 215 52 213 179 20 233 207 169 140 168 130 139 250 210 234 207 167 91 176 130 242 138 11 108 87 173 245 200 34 52 75 83 172 83 181 102 184 106 66 43 144 237 146 2 0 59) asByteArray! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
demologoGif
	^ #(71 73 70 56 57 97 120 0 23 0 230 0 0 149 176 109 146 177 101 172 195 138 241 245 234 169 195 132 218 229 200 137 170 89 150 183 102 162 189 123 203 219 179 167 200 118 144 177 98 128 160 81 145 174 102 179 202 145 190 208 162 130 162 84 149 180 105 196 212 171 208 221 187 157 190 109 225 234 211 252 253 250 159 186 118 166 191 130 159 193 111 132 164 86 187 208 156 155 187 107 141 175 95 142 173 97 138 169 93 166 199 118 154 182 114 152 185 105 128 159 81 186 205 157 237 243 229 194 212 166 140 170 97 158 190 109 205 219 184 160 193 112 135 168 85 152 181 110 179 203 142 167 200 120 230 237 219 177 200 144 155 188 107 158 191 110 166 199 117 164 197 115 140 172 92 127 160 79 160 193 111 215 226 198 134 166 86 142 175 95 221 231 207 139 171 92 139 172 92 182 202 151 232 239 222 176 198 144 136 169 87 201 218 175 131 165 81 200 215 178 221 232 203 238 244 230 141 170 100 138 172 90 151 184 105 162 194 113 244 248 238 141 172 94 139 168 97 239 243 232 234 240 224 154 185 110 144 172 103 159 185 120 132 164 84 163 197 115 157 190 109 140 174 93 199 215 175 133 166 84 135 168 88 147 179 100 164 197 116 161 195 114 163 198 116 236 242 227 134 167 85 174 198 139 185 196 117 153 186 106 249 251 245 211 223 192 136 167 88 152 186 104 156 190 107 151 183 104 166 192 126 129 163 79 175 194 116 153 185 107 154 185 105 154 185 107 209 223 188 143 176 96 233 240 222 134 165 88 130 163 84 133 165 86 127 160 81 164 198 116 167 199 120 135 167 88 134 161 81 137 169 90 129 161 83 162 195 114 168 201 120 184 196 117 159 191 114 33 249 4 0 0 0 0 0 44 0 0 0 0 120 0 23 0 0 7 255 128 121 130 131 132 133 132 123 134 137 138 139 140 141 142 143 144 140 12 12 117 117 148 150 149 148 154 149 35 12 123 152 153 149 156 35 161 147 151 164 162 35 157 162 161 172 152 157 170 147 164 154 151 151 174 153 155 117 179 184 162 185 188 150 147 152 123 195 196 197 198 197 16 199 202 203 204 205 206 207 208 209 205 115 212 115 16 16 213 214 217 217 83 212 215 222 216 219 216 227 214 225 223 219 229 232 225 232 212 12 54 228 222 213 235 235 241 242 244 242 236 230 116 251 252 253 254 253 57 254 105 248 215 111 224 64 127 7 9 42 164 147 112 223 156 6 82 62 52 92 72 112 34 69 129 26 240 104 196 147 101 163 199 143 26 245 116 228 56 82 227 200 146 26 115 124 193 147 67 13 201 142 57 60 162 220 88 102 166 198 41 30 6 236 144 179 18 228 203 141 89 102 150 44 99 242 99 80 142 38 59 102 209 195 212 0 211 166 79 163 62 229 33 181 106 85 44 4 158 72 105 128 67 192 23 3 65 12 4 96 2 245 169 1 167 86 159 14 145 96 1 192 20 180 105 255 225 166 157 107 118 110 141 30 61 106 220 197 139 119 175 94 30 124 153 244 224 193 35 8 146 32 132 195 174 224 177 34 72 88 43 95 66 164 0 144 98 201 137 21 72 12 188 169 224 1 137 94 176 135 17 103 6 203 56 72 143 21 96 17 88 144 96 35 172 233 190 165 75 247 112 205 99 47 95 189 121 243 222 181 157 123 240 94 194 29 130 11 23 174 163 67 113 226 197 225 4 95 64 128 0 24 43 58 210 16 32 17 160 57 24 33 44 46 8 24 129 97 204 3 31 80 224 248 176 240 32 128 113 36 44 124 32 64 0 70 11 115 24 14 2 108 112 96 5 12 1 36 5 126 208 185 224 128 192 5 36 86 116 96 197 2 36 208 103 159 21 105 8 0 195 2 86 120 112 156 14 197 65 40 225 112 18 30 103 28 132 29 44 160 225 134 28 118 200 161 123 65 192 224 5 2 21 160 241 6 17 8 120 1 195 18 9 120 177 131 7 47 236 160 69 5 59 132 224 68 2 76 188 128 195 30 13 68 128 96 9 15 68 49 192 27 17 20 225 195 3 21 152 96 129 255 0 105 88 0 4 24 99 16 32 192 18 2 8 48 34 20 17 32 241 192 146 170 1 129 128 17 2 188 16 2 26 30 150 105 166 135 90 164 169 230 154 108 182 137 192 6 78 76 112 194 3 3 132 112 194 17 59 84 112 2 9 19 8 49 0 0 15 44 33 69 0 3 60 32 65 157 204 5 160 69 17 21 208 97 66 9 1 36 240 2 19 81 132 80 194 21 13 196 145 2 140 41 16 58 193 16 41 140 40 197 2 80 148 64 4 140 19 176 176 193 15 56 68 129 192 5 11 180 41 235 172 108 30 96 235 173 184 230 138 43 26 139 146 96 130 17 4 20 241 68 18 7 152 176 4 2 86 124 208 192 15 87 32 80 194 27 4 20 80 64 8 21 164 160 69 11 21 8 1 197 0 41 164 81 232 5 52 46 192 134 16 37 92 96 194 0 23 108 48 0 1 14 28 235 45 9 30 224 240 198 3 78 32 112 238 5 5 60 240 0 176 8 4 160 235 191 0 235 42 194 192 4 23 108 112 193 109 28 224 3 1 18 60 192 2 6 56 108 64 0 17 229 153 33 2 255 26 68 108 80 192 14 62 152 240 64 3 122 72 112 5 1 44 76 96 130 22 68 76 64 64 10 14 3 129 67 127 64 76 144 32 25 4 96 64 6 24 33 144 0 198 21 62 120 224 198 4 87 8 32 179 0 52 47 108 40 172 73 28 172 244 210 7 115 224 244 211 78 199 0 53 212 49 72 29 195 2 81 28 193 4 175 77 68 209 64 19 30 68 45 134 30 2 12 0 198 7 90 139 16 131 7 71 4 144 196 9 30 136 112 194 9 1 220 73 102 215 1 44 208 132 162 123 107 209 68 3 7 120 144 117 216 98 192 29 64 223 123 195 209 192 17 39 28 80 245 212 81 67 78 245 227 82 71 93 69 21 50 92 142 2 10 152 87 193 249 229 158 99 46 3 10 50 100 46 186 233 165 155 94 197 25 42 84 240 6 26 151 167 158 121 234 164 207 30 59 234 179 231 126 122 236 152 215 46 250 239 162 127 174 249 237 157 111 94 58 233 155 247 222 249 232 55 52 223 188 10 208 67 159 193 13 42 100 32 61 244 74 60 127 195 244 214 67 255 124 245 50 8 241 68 255 26 49 168 176 125 245 209 103 48 61 245 212 71 239 126 247 230 187 175 61 247 237 175 207 190 249 205 195 127 126 250 221 111 207 189 250 249 163 223 13 248 64 192 2 26 240 128 92 56 160 2 23 72 64 1 96 0 5 8 76 32 3 249 32 193 9 34 208 130 19 172 160 1 149 64 65 12 30 208 14 32 220 66 23 236 64 3 59 108 33 132 32 76 97 8 79 168 66 21 142 48 133 84 56 131 12 90 104 66 20 166 176 132 53 164 1 21 104 8 194 23 110 129 133 45 4 98 15 131 200 195 20 10 209 136 53 164 161 2 150 168 0 16 128 128 137 80 92 226 19 103 48 131 38 46 177 138 10 192 34 20 157 248 196 45 70 17 4 90 140 98 22 197 56 3 48 90 209 140 100 236 226 24 195 40 198 43 118 17 141 83 116 34 19 227 216 135 58 218 241 142 120 204 163 30 247 200 199 62 250 241 143 128 12 164 32 93 112 135 66 26 242 144 136 188 3 33 251 144 72 66 18 50 145 134 124 36 34 29 169 200 70 30 82 146 145 172 164 34 49 169 201 71 186 128 59 147 150 140 36 37 37 233 201 59 252 225 148 168 76 165 42 87 201 202 86 186 242 149 176 140 165 44 103 73 75 63 216 242 150 184 244 67 24 114 105 203 53 240 242 151 192 12 166 48 135 73 204 98 14 115 151 195 12 4 0 59) asByteArray! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
headerGif
	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asByteArray! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
logoGif
	^ #(71 73 70 56 57 97 43 2 110 0 247 0 0 244 58 0 249 251 246 110 144 64 255 147 0 233 34 0 112 142 72 255 92 0 245 37 0 117 155 71 132 170 84 142 181 92 113 149 68 152 190 100 255 173 0 255 177 0 141 176 94 145 73 27 149 108 26 255 169 0 180 106 18 140 177 89 146 180 98 152 192 102 255 165 0 204 46 8 123 161 76 255 114 0 255 122 0 166 60 20 126 163 80 137 173 90 144 182 93 255 118 0 134 172 85 123 160 76 255 180 0 255 129 0 255 109 0 255 125 0 121 156 73 203 108 10 253 83 0 137 176 88 121 153 78 255 161 0 255 185 0 255 141 0 255 101 0 255 137 0 255 157 0 252 75 0 255 133 0 255 152 0 148 185 96 237 43 0 150 189 100 255 105 0 135 170 88 113 145 71 166 91 19 250 68 0 103 122 55 255 97 0 124 156 80 241 50 0 117 152 71 114 100 38 245 66 0 131 115 45 136 174 86 145 184 94 146 184 96 132 166 87 118 117 57 104 99 42 142 91 30 112 148 66 154 193 104 127 164 80 109 144 64 117 154 71 203 67 12 130 167 82 131 170 82 108 143 63 119 155 72 146 185 95 131 168 84 136 168 90 116 150 69 245 74 0 119 83 36 221 38 3 150 188 98 111 143 68 141 180 90 231 115 5 117 150 74 154 195 103 116 147 74 130 165 84 247 82 0 108 142 64 107 136 68 227 102 5 106 127 58 122 148 76 124 100 47 94 117 52 122 156 77 124 159 78 99 130 58 127 160 84 117 113 46 249 96 0 104 131 64 100 130 64 120 154 73 250 100 0 148 190 98 148 187 99 128 155 79 105 138 62 249 89 0 110 144 66 138 173 91 97 108 48 129 166 82 114 95 35 154 196 104 250 105 0 111 145 66 129 162 86 245 124 2 126 164 81 113 136 67 114 147 72 105 140 63 137 98 28 126 152 77 153 194 102 150 189 96 129 165 81 129 163 83 118 152 75 148 186 95 128 166 80 245 103 2 118 132 67 110 146 65 147 187 96 147 186 96 116 149 73 156 197 104 148 188 96 134 167 87 155 196 103 121 157 73 120 155 75 111 147 66 115 152 69 233 239 223 111 146 66 157 198 105 238 243 231 235 241 228 151 190 97 157 197 104 122 158 75 153 192 101 154 193 102 241 245 235 110 146 66 151 191 98 154 189 106 157 197 105 146 188 95 150 190 98 188 210 158 229 237 218 143 178 96 154 194 101 158 198 105 216 228 198 123 159 75 113 152 68 118 150 76 154 196 102 122 159 74 152 192 99 149 184 101 151 186 104 152 192 101 140 174 94 148 189 97 126 164 79 200 218 175 147 182 100 149 189 97 155 194 104 154 192 102 148 182 102 171 199 132 182 206 148 156 191 108 158 199 106 136 176 87 158 197 106 108 146 64 177 203 140 161 191 120 165 196 121 157 188 113 158 192 113 128 164 79 161 197 112 152 184 109 123 158 75 122 158 74 121 158 73 122 160 75 156 196 104 153 193 102 121 158 75 151 190 98 252 108 0 149 188 96 111 148 68 140 176 92 151 190 100 113 147 68 243 117 3 117 153 70 246 132 2 145 187 96 131 169 84 246 105 2 103 135 62 111 146 67 148 187 97 119 142 72 152 191 99 110 145 65 122 159 76 116 125 64 122 100 31 102 112 50 255 111 0 249 118 1 252 119 0 250 124 1 108 140 65 107 138 68 107 144 64 152 192 100 152 193 100 33 249 4 0 0 0 0 0 44 0 0 0 0 43 2 110 0 0 8 255 0 169 8 28 72 176 160 193 131 8 19 42 92 200 176 161 195 130 79 8 70 124 72 145 74 68 104 2 39 102 84 168 177 226 193 139 27 7 118 52 248 100 164 71 136 84 48 90 148 200 209 164 71 144 43 69 182 140 41 83 226 200 146 55 113 66 196 153 83 231 73 150 42 59 186 20 25 177 228 78 159 63 101 6 101 153 208 168 209 164 27 151 214 68 232 180 232 209 167 80 73 242 220 202 149 103 203 174 96 177 126 12 251 181 171 210 144 104 199 90 180 58 81 99 79 177 24 229 189 237 24 119 46 193 186 89 87 74 77 171 117 237 202 182 34 49 138 93 139 52 37 21 185 121 245 166 29 154 177 40 91 180 79 160 217 29 136 151 102 227 194 149 7 111 189 123 184 45 227 135 48 133 206 116 26 211 173 228 201 2 51 127 6 109 216 242 231 170 127 203 134 229 42 175 182 237 219 184 113 207 14 155 251 246 236 222 182 103 79 85 75 26 112 198 211 92 175 210 237 220 216 230 112 194 112 153 251 37 74 221 38 102 233 98 177 150 68 156 53 52 83 170 142 99 211 255 140 12 86 176 102 175 148 177 11 117 251 164 182 85 235 209 185 103 103 239 94 57 103 249 235 137 186 71 109 24 191 243 198 251 33 118 222 117 254 85 183 86 128 252 169 246 223 129 114 181 231 160 112 137 53 180 27 88 17 194 151 156 133 247 121 182 224 118 13 202 213 96 120 3 198 167 161 129 28 110 247 32 136 14 66 103 95 122 5 54 7 96 135 39 250 101 226 138 169 169 183 97 123 48 126 40 227 131 52 246 55 162 139 12 154 168 99 85 58 98 200 226 143 211 5 233 224 144 142 125 152 160 141 36 226 40 36 78 172 60 217 98 146 37 46 169 19 145 155 25 89 227 149 218 201 54 33 135 192 149 233 228 152 100 246 246 91 153 187 33 248 33 43 2 242 212 96 143 10 70 233 230 150 77 174 25 226 114 96 210 151 35 158 7 234 153 226 86 48 66 247 32 119 68 17 136 164 118 82 106 9 155 137 188 193 200 138 121 37 77 250 132 165 151 158 22 39 78 48 82 58 168 156 38 74 70 39 148 64 102 233 33 160 144 130 133 160 149 139 250 57 101 165 136 94 255 38 34 144 88 54 122 42 154 184 154 137 235 19 2 152 33 0 142 102 6 155 27 132 224 221 9 171 137 191 98 122 166 92 202 18 186 103 134 180 50 106 236 165 48 10 32 74 166 169 66 186 169 182 228 113 90 152 161 208 38 89 235 180 59 158 73 40 140 75 122 90 159 179 14 34 119 226 182 135 118 155 234 186 160 182 91 47 176 142 121 107 175 190 192 194 219 233 189 186 25 250 47 191 186 53 91 47 189 250 202 229 238 135 186 249 27 42 192 190 49 171 41 187 193 29 38 236 197 24 179 89 210 175 94 241 193 7 43 32 135 12 103 198 36 179 249 171 123 112 82 203 108 112 35 163 92 48 110 234 186 124 27 52 43 207 44 179 109 52 203 115 50 194 220 46 204 105 196 90 214 118 114 165 19 31 44 179 202 56 11 93 115 210 58 243 28 175 207 105 158 42 181 206 241 182 92 91 206 2 176 12 179 210 21 83 44 239 187 64 79 61 116 123 59 203 115 237 210 87 115 173 181 205 77 191 204 118 214 195 90 45 15 214 192 33 157 118 219 106 202 77 55 155 122 171 255 93 119 223 120 243 237 91 88 2 20 110 184 225 37 99 204 71 109 111 8 81 79 61 126 36 98 134 175 137 3 39 202 229 152 103 94 249 200 188 202 99 117 202 128 195 109 38 231 89 127 238 249 148 162 163 61 183 223 192 145 238 249 109 112 130 190 117 224 173 187 87 58 236 175 87 169 101 234 170 239 61 186 237 175 219 22 187 231 186 159 202 123 239 172 247 230 186 233 177 131 140 122 222 179 31 159 219 242 184 55 47 251 219 194 82 47 124 238 32 203 243 73 241 14 74 127 54 248 114 137 143 60 237 202 3 207 60 241 112 126 255 124 110 162 4 43 242 252 149 11 155 117 61 96 128 160 191 6 138 188 49 249 199 34 27 221 252 2 88 166 1 14 208 123 114 219 158 221 86 135 190 233 169 175 122 236 67 96 237 206 39 61 220 104 175 54 195 11 153 4 211 119 186 221 245 38 126 32 108 79 236 222 135 27 16 154 141 124 157 131 159 217 78 72 193 236 61 112 123 214 219 160 3 95 183 64 223 21 240 133 24 228 94 251 18 152 195 215 141 143 134 161 115 161 92 255 190 215 66 249 185 231 19 69 252 221 16 37 72 68 36 214 48 121 51 236 220 250 88 145 185 42 138 226 19 88 204 162 22 183 168 69 43 122 209 139 131 16 69 61 54 160 1 13 220 227 140 32 216 1 29 18 225 5 0 26 240 141 6 228 162 22 225 24 178 38 18 239 132 84 180 99 247 68 1 178 43 234 17 78 124 204 227 39 174 200 10 39 6 209 136 229 11 94 14 99 72 68 14 2 242 123 88 108 223 29 3 233 199 203 65 82 146 123 236 35 22 49 119 73 36 22 210 115 127 196 99 37 47 247 201 79 62 177 129 22 60 162 247 6 185 67 79 186 18 148 64 140 158 16 165 8 65 13 54 114 134 143 44 100 36 189 55 73 77 14 146 148 165 244 228 205 238 86 65 220 37 114 138 221 187 101 42 125 8 201 77 138 48 120 117 132 229 200 66 73 201 77 2 179 120 174 156 38 38 1 233 75 204 213 145 135 182 249 98 32 223 40 199 114 118 81 20 108 192 199 254 202 136 70 64 232 97 31 214 226 164 57 197 73 79 63 150 83 148 214 28 231 32 191 119 255 69 179 237 179 144 220 220 228 37 79 104 205 129 242 177 160 172 96 2 53 187 121 205 127 246 243 138 132 84 40 33 137 120 208 95 254 147 162 186 180 164 37 1 74 80 139 110 84 162 19 13 168 71 253 184 77 124 254 82 159 132 124 232 62 23 42 72 111 130 204 161 72 132 168 64 57 90 81 141 86 210 160 25 133 232 77 75 90 205 147 214 49 165 49 93 105 68 45 202 83 134 162 148 159 65 189 105 72 59 106 83 129 46 181 166 58 117 234 83 115 106 209 125 114 146 166 84 181 164 85 175 138 209 130 106 85 167 92 21 105 83 205 73 86 122 150 245 139 131 144 71 4 54 0 130 50 178 243 30 26 64 3 27 244 96 134 48 214 179 158 100 45 107 62 133 138 83 175 42 53 115 123 173 36 19 8 201 203 76 182 180 161 64 245 167 82 173 153 199 162 30 246 168 121 84 172 83 25 123 197 193 94 84 172 81 221 170 60 57 41 216 169 250 85 170 155 213 232 38 7 235 217 145 130 246 171 162 29 36 105 75 59 86 176 162 86 166 170 5 44 86 63 171 217 215 255 10 117 181 27 253 158 101 135 42 90 199 142 18 178 42 93 236 47 243 168 80 223 230 243 167 72 149 172 85 41 251 9 137 246 213 180 181 253 237 93 51 199 132 234 90 247 186 216 197 46 89 211 185 78 51 154 17 174 74 208 3 21 42 97 221 188 154 51 187 215 205 171 107 127 123 91 43 90 179 184 222 131 111 115 155 43 83 234 214 23 115 213 189 239 229 170 219 68 133 22 23 164 91 189 164 101 79 10 86 221 122 148 168 0 206 108 251 252 75 223 218 242 119 183 4 126 48 132 169 235 223 255 30 88 171 19 198 111 133 35 153 224 170 90 88 180 24 222 165 39 185 249 88 228 70 22 182 40 230 99 101 127 153 95 7 111 184 193 174 149 48 22 63 124 223 25 207 88 191 162 144 241 124 51 188 223 23 51 56 161 23 246 163 66 27 60 91 232 174 55 176 163 117 47 139 97 28 97 31 55 23 189 252 45 39 148 163 44 229 41 215 195 4 221 245 238 61 210 248 6 61 240 33 139 102 157 231 116 221 59 228 221 110 24 200 32 22 242 141 85 251 100 14 7 217 255 198 48 126 113 127 119 204 95 52 215 120 190 113 110 243 154 99 236 228 33 239 55 139 131 229 113 142 251 252 94 64 231 216 192 105 134 179 153 245 60 95 59 7 24 207 139 166 242 144 29 157 217 50 67 84 206 150 118 177 158 25 188 228 27 79 186 195 33 206 179 164 109 76 105 15 239 25 211 54 22 180 142 57 253 103 79 103 177 212 161 142 244 144 33 221 104 80 171 89 212 179 46 243 142 113 252 69 115 46 224 215 192 14 54 89 161 44 138 74 76 0 203 89 102 231 36 230 250 132 65 135 185 156 193 142 246 2 242 26 229 7 235 119 218 176 158 54 162 235 187 0 203 106 123 219 143 206 244 161 71 189 227 39 87 88 213 132 238 52 125 103 189 233 31 219 90 209 151 102 180 174 207 109 110 112 87 250 212 242 78 117 189 203 251 109 123 15 178 219 253 14 184 183 17 45 112 116 111 26 207 173 94 183 22 171 205 105 32 23 124 194 15 143 248 192 121 140 109 80 3 92 226 4 55 120 181 17 126 104 87 3 186 204 156 158 56 196 69 62 240 97 67 153 172 210 255 14 246 148 223 0 6 182 234 175 173 102 108 43 120 233 58 229 235 166 28 216 53 207 249 39 48 158 93 96 55 183 219 81 190 248 180 21 218 237 43 14 93 187 32 7 250 144 133 62 95 128 107 81 233 221 54 183 117 125 206 4 158 99 151 234 0 47 239 206 171 254 235 166 87 253 235 65 231 250 208 183 14 116 165 99 145 233 68 7 187 213 109 222 117 176 115 187 186 78 207 34 212 207 61 245 182 43 221 232 82 127 240 140 211 158 107 184 107 29 237 100 247 187 217 201 222 246 192 187 125 231 121 15 185 127 7 15 248 172 131 253 241 103 23 187 215 203 110 243 191 75 62 237 148 175 124 216 169 110 120 165 79 221 242 156 119 188 231 115 78 250 210 215 92 8 36 120 57 91 221 10 130 13 108 89 17 237 72 132 59 110 78 251 218 71 187 230 191 230 250 211 63 159 120 172 103 215 220 107 175 251 208 71 127 110 199 47 253 242 157 71 239 237 115 207 120 228 139 94 249 42 103 254 238 253 222 123 187 255 254 243 193 135 187 245 145 46 248 236 95 158 248 192 151 188 255 220 121 223 243 237 167 23 251 204 7 125 225 159 95 126 156 167 191 249 161 87 59 244 221 159 117 239 251 158 251 95 199 57 228 9 63 118 246 95 93 229 166 23 128 181 119 114 17 96 2 27 112 128 88 230 86 7 88 70 114 149 8 124 96 14 182 23 128 255 119 115 194 247 115 215 215 125 148 199 124 62 55 126 212 215 126 22 136 127 66 215 125 98 215 117 28 248 117 213 55 124 23 152 127 185 167 130 35 72 130 145 215 129 19 248 129 231 135 129 34 152 114 211 103 130 30 248 120 229 133 126 25 40 116 209 118 131 81 151 131 224 199 131 53 152 114 251 215 120 242 215 126 26 152 127 35 8 132 116 167 125 40 8 130 98 87 132 210 86 117 78 152 5 246 103 126 59 72 131 45 104 123 194 102 94 114 148 5 98 56 134 98 216 14 96 128 108 38 96 128 110 101 2 169 87 2 26 160 4 251 48 8 100 56 135 99 88 123 116 72 134 182 39 134 62 168 135 45 200 135 210 230 135 127 136 133 93 232 130 89 160 130 54 40 136 43 56 109 88 8 136 135 248 107 140 255 152 114 143 8 137 136 104 123 88 52 137 218 167 135 150 40 121 88 232 136 147 152 135 139 184 0 145 72 123 152 200 137 160 8 108 163 232 115 155 216 117 169 72 138 131 120 115 161 104 135 159 104 138 23 7 133 143 7 10 117 128 10 157 144 139 110 0 7 72 128 4 110 208 9 160 216 137 94 72 138 171 184 136 194 56 140 138 24 136 62 136 140 193 88 138 178 216 140 173 232 133 149 216 140 171 200 140 214 56 140 126 64 2 7 184 1 51 48 3 48 167 1 38 48 3 38 80 70 138 144 8 253 144 11 185 112 141 195 120 135 117 72 141 193 86 141 202 24 141 200 24 139 165 120 138 142 232 133 246 232 140 158 168 143 252 152 114 160 240 143 238 248 140 248 72 143 253 8 139 203 168 142 244 136 133 233 152 143 240 72 123 233 8 141 209 246 143 0 25 144 142 56 145 20 89 144 17 121 145 13 9 108 232 224 8 189 248 145 32 233 145 168 96 137 155 8 136 22 169 145 204 184 144 199 40 109 18 121 146 40 137 140 15 201 144 41 105 138 45 89 147 160 192 142 89 255 96 147 58 185 147 53 153 147 17 160 141 32 64 2 221 8 115 65 9 3 36 96 70 40 192 6 102 0 15 57 201 147 181 199 147 55 137 147 18 57 137 57 89 149 193 8 10 11 112 147 212 136 149 98 200 149 57 201 137 88 73 140 18 25 108 61 153 142 101 121 149 191 6 144 106 73 145 97 137 137 255 136 14 88 169 149 102 137 133 97 9 108 113 169 144 115 73 151 122 121 150 123 89 150 39 9 10 121 89 151 100 25 151 98 233 149 106 137 151 185 16 150 112 25 152 119 185 0 232 168 146 160 8 144 15 233 152 134 121 147 90 137 150 89 137 153 96 121 147 139 105 145 141 249 152 117 201 151 85 169 152 40 201 139 202 32 11 168 137 154 164 16 0 1 112 11 72 0 7 127 153 11 163 217 151 107 233 152 192 166 146 255 104 140 165 8 144 93 169 149 130 105 151 159 137 142 165 200 4 126 201 152 180 57 153 137 217 146 89 144 152 178 153 149 77 9 152 199 249 149 55 249 152 212 249 152 56 89 157 213 137 14 218 185 157 220 169 147 122 112 134 7 8 3 46 255 48 3 100 84 70 36 224 2 48 96 2 110 232 7 102 176 0 232 128 157 212 9 149 80 9 159 160 153 155 204 185 156 112 233 156 150 169 156 247 153 11 112 41 154 98 232 159 128 249 143 201 57 149 42 25 160 218 57 160 10 202 159 208 41 160 160 208 153 11 202 160 178 233 160 239 57 149 150 153 147 232 48 155 15 154 5 16 90 160 197 137 159 111 233 161 211 217 160 255 89 161 31 74 161 201 105 156 153 121 161 149 201 161 93 73 151 34 58 162 19 90 162 41 122 162 52 74 160 135 185 159 113 57 150 59 185 156 193 136 160 255 105 160 13 122 149 160 128 10 72 80 1 172 153 164 74 26 12 190 168 161 25 154 159 44 106 147 62 74 134 254 25 164 66 58 163 33 138 163 82 218 159 55 186 160 29 202 147 203 73 162 89 234 165 54 58 166 244 105 157 236 120 166 85 202 157 221 105 147 246 64 2 88 70 2 226 9 3 171 7 2 51 48 0 227 73 142 113 184 156 103 42 159 60 169 166 101 250 160 53 250 150 185 249 150 77 9 151 86 42 163 32 42 168 90 255 250 160 133 186 161 132 154 168 138 138 162 141 250 159 135 122 168 142 202 162 24 202 161 61 202 165 102 42 145 150 106 168 145 250 168 87 186 168 38 90 160 161 10 169 142 154 170 18 106 170 131 154 169 151 58 170 58 218 170 148 74 166 251 153 161 178 250 156 129 122 170 160 154 155 30 121 11 74 170 164 178 240 154 68 234 162 186 106 159 98 202 168 182 26 171 171 74 170 142 250 170 18 25 163 147 218 165 168 250 168 184 218 172 179 154 168 97 138 165 202 42 173 126 202 166 108 10 149 8 48 174 227 10 5 8 80 15 218 200 141 3 128 167 227 88 70 48 64 3 52 224 2 32 112 15 40 240 6 2 112 172 126 154 175 224 218 157 136 234 172 136 26 164 221 9 173 141 218 146 253 154 156 8 0 161 8 176 171 175 154 170 215 218 175 217 250 160 0 27 176 255 152 176 8 11 177 10 26 163 210 250 175 10 74 177 9 42 176 17 218 171 219 185 177 16 219 177 19 59 178 36 251 177 40 187 170 9 74 171 212 218 171 183 138 169 172 170 178 160 202 157 7 91 177 224 255 42 178 219 201 139 210 16 172 73 58 11 189 168 3 59 167 176 149 106 173 48 235 175 22 251 150 52 11 151 53 171 180 76 219 180 197 185 180 78 251 180 81 107 139 83 91 181 251 122 181 88 155 181 90 107 6 224 105 2 235 26 175 117 234 2 52 16 3 3 64 2 37 80 2 126 32 15 89 169 181 87 155 175 58 25 178 43 91 162 38 11 10 53 59 179 112 43 183 42 27 178 117 139 180 119 75 168 121 171 183 43 107 178 26 155 169 255 26 174 123 43 184 71 43 183 109 123 184 225 26 183 145 186 184 129 219 184 120 91 184 251 74 183 145 203 175 147 43 184 55 203 184 152 235 183 148 11 185 17 219 183 132 171 185 149 187 183 117 208 139 165 192 179 172 41 13 72 160 11 252 16 180 86 43 186 138 203 182 81 91 7 177 155 160 142 251 183 90 107 185 161 139 187 153 75 187 128 91 162 192 59 188 88 91 5 198 123 188 61 144 134 27 0 3 3 16 3 49 32 175 101 4 2 46 192 2 23 192 2 48 64 142 252 48 14 65 64 188 220 219 189 108 11 181 232 255 80 5 181 155 160 117 43 190 183 27 190 218 9 190 226 203 187 160 80 5 234 75 190 9 234 190 78 43 191 239 11 191 232 139 14 227 202 166 230 107 191 235 91 179 230 203 190 124 171 157 242 203 157 251 203 191 193 107 183 190 235 185 164 235 189 248 107 190 249 203 190 244 219 180 5 12 192 136 155 187 159 203 192 218 233 145 178 160 186 1 64 12 175 73 7 175 59 191 7 91 183 229 59 194 193 91 192 247 155 191 225 91 191 4 172 194 219 137 194 248 171 191 224 122 176 238 235 194 2 60 195 2 76 174 231 91 195 52 75 174 62 252 195 64 28 196 66 60 196 230 170 8 228 105 2 46 16 3 23 0 182 109 37 189 44 32 1 75 236 122 81 208 14 124 176 192 24 124 188 88 124 188 35 172 195 38 156 190 50 204 166 75 155 191 62 28 195 97 204 194 219 89 198 248 203 197 49 156 190 8 224 192 101 108 198 94 204 198 105 236 6 30 153 3 142 144 1 110 124 198 58 76 192 56 44 199 99 220 197 105 60 192 47 220 199 105 156 198 98 188 198 129 220 198 114 255 204 198 123 60 200 96 172 199 134 108 194 101 236 190 130 124 195 143 236 199 106 60 201 109 108 195 247 155 180 114 236 6 88 16 12 171 192 193 76 234 5 252 224 5 68 10 199 136 44 198 153 172 199 148 220 200 150 236 201 133 252 199 171 188 201 53 204 201 48 140 198 180 172 201 183 140 203 157 128 0 191 28 204 189 28 196 89 219 198 193 252 203 192 12 196 159 128 2 6 72 2 52 112 1 23 240 188 68 57 0 23 208 0 18 16 3 51 112 15 225 224 7 238 208 190 201 12 204 157 48 204 67 60 206 196 204 203 66 108 188 64 252 197 158 12 203 157 124 198 183 252 203 234 204 200 138 92 200 242 76 174 110 140 204 155 140 207 157 208 139 57 208 207 88 240 207 168 0 181 62 204 195 168 208 1 6 109 208 191 168 190 183 252 206 236 92 5 193 236 195 248 60 206 225 188 200 145 108 207 227 26 206 2 157 199 245 60 174 53 44 206 111 188 201 176 140 209 145 60 204 30 237 198 184 204 209 108 140 204 218 217 139 196 192 193 209 128 5 43 0 194 162 144 147 247 255 76 174 17 109 207 26 93 209 28 221 208 28 173 209 248 44 206 244 156 190 175 188 211 63 172 209 23 29 196 232 108 200 52 123 203 145 124 211 228 252 212 3 157 197 82 141 188 6 184 1 211 43 1 18 192 2 46 80 158 32 64 205 13 208 0 23 48 0 101 4 8 131 48 14 230 138 212 83 157 214 88 60 206 29 29 209 226 252 214 14 157 207 67 140 206 231 140 206 183 216 214 16 253 206 120 29 215 54 141 214 115 109 188 157 80 7 8 208 139 212 0 172 1 48 11 202 0 208 32 237 195 117 252 207 142 253 216 185 216 209 139 253 215 127 237 190 130 109 210 64 28 215 124 109 207 191 188 217 61 205 209 55 125 188 27 109 209 192 220 209 146 93 212 107 237 217 109 172 197 117 221 215 81 109 217 182 76 174 29 128 5 59 171 186 62 139 5 252 112 202 160 120 209 166 93 7 53 93 212 223 60 217 68 29 213 3 157 217 153 237 208 146 237 214 90 172 217 158 157 218 191 93 220 198 188 218 202 141 206 116 93 217 82 157 139 216 157 221 218 189 221 89 92 15 228 255 73 2 212 44 1 96 45 175 77 60 0 226 109 205 49 160 158 59 208 14 131 16 4 106 253 222 240 173 214 188 45 217 67 237 208 211 77 201 166 77 223 171 77 218 208 13 206 199 219 217 205 189 220 53 28 206 250 141 220 157 237 218 195 141 0 30 89 219 194 250 207 120 173 224 143 157 3 169 137 154 203 144 3 120 220 223 252 141 211 4 254 223 251 253 218 248 221 211 246 189 225 154 29 220 171 77 221 11 109 223 154 157 139 23 45 226 201 29 217 89 124 224 243 125 224 200 236 214 54 205 226 128 109 204 51 238 223 83 141 0 255 60 11 28 76 13 88 224 186 168 188 194 98 188 217 12 237 226 59 30 221 30 222 225 90 76 224 160 29 217 79 94 218 213 253 214 58 158 214 160 141 218 38 14 226 59 141 226 215 189 221 216 173 214 51 158 227 54 142 197 157 221 9 152 48 1 218 56 3 79 252 213 44 48 0 92 109 222 14 224 0 13 96 189 247 176 108 238 224 222 216 125 212 80 158 204 42 238 229 95 14 223 72 94 230 27 46 227 99 222 229 241 109 224 56 255 94 232 209 93 232 80 238 190 78 190 226 133 254 226 255 28 10 170 43 13 88 144 208 145 157 1 253 76 233 60 27 10 193 112 233 40 30 221 38 30 217 225 12 224 79 126 232 78 142 209 248 237 232 200 189 211 72 46 213 165 93 234 210 109 204 124 253 234 96 14 216 27 222 211 194 140 206 4 126 204 168 78 221 174 206 226 142 128 5 203 192 193 178 128 5 112 32 211 68 94 229 239 237 228 55 238 232 145 110 235 105 221 235 184 254 235 200 29 226 214 46 221 24 93 234 172 78 230 136 30 215 165 238 231 145 254 222 186 238 232 82 110 188 237 80 8 105 232 213 95 29 214 211 44 1 113 238 0 18 32 214 37 0 8 230 144 5 126 14 232 254 205 231 226 14 229 125 46 224 218 77 223 121 46 237 83 237 236 161 142 209 204 126 235 248 237 239 208 46 237 252 206 234 225 12 202 202 192 193 196 96 199 72 142 4 18 206 193 137 237 8 188 77 240 215 93 5 25 112 208 214 32 242 29 128 11 30 255 226 163 30 238 6 206 229 128 14 216 213 94 218 139 126 242 222 255 126 237 12 15 206 1 31 223 6 79 234 178 254 203 154 78 11 163 204 179 171 64 11 57 96 202 67 206 234 249 252 236 220 254 236 230 14 206 231 14 243 42 79 234 208 110 243 28 110 223 254 141 228 54 239 235 72 159 231 109 13 237 84 47 243 255 157 242 142 142 10 98 63 246 100 223 239 226 254 222 25 144 1 34 144 1 113 64 158 51 16 3 13 32 231 115 62 0 239 238 0 35 32 231 49 96 182 59 192 15 136 16 226 102 255 247 218 61 208 4 142 139 131 255 231 85 64 248 217 109 188 132 143 139 126 191 225 98 127 204 137 159 1 153 110 248 98 95 218 132 175 248 185 120 249 136 143 249 157 128 139 150 159 221 191 232 248 1 173 139 196 206 193 183 144 3 72 16 217 5 141 5 216 64 241 255 76 211 46 190 248 43 142 249 14 13 202 30 224 1 142 141 251 142 45 5 177 159 249 13 127 188 149 255 229 146 79 249 163 255 229 136 47 229 151 175 248 197 207 229 178 207 244 133 63 249 137 175 252 94 14 252 199 31 249 220 125 248 153 191 207 57 208 210 170 255 91 225 63 64 7 69 143 228 193 63 253 136 255 231 178 207 237 189 223 249 87 207 237 229 111 248 205 222 254 209 127 248 197 47 245 158 159 239 239 125 249 195 63 240 128 191 255 128 15 16 39 234 68 32 177 97 192 133 6 13 28 52 184 48 0 132 134 123 32 6 40 116 80 241 130 139 18 104 122 152 11 114 162 211 71 144 33 69 142 36 89 242 35 170 147 33 17 32 248 88 165 10 202 78 168 88 178 108 9 19 38 200 42 56 95 158 156 217 41 103 204 148 33 127 126 116 35 116 103 76 151 42 109 10 13 121 51 164 27 44 202 2 76 165 58 85 150 135 14 117 80 189 204 145 227 86 85 170 161 104 229 208 165 3 221 206 161 37 97 102 200 225 65 214 91 184 112 31 120 64 73 211 228 82 162 34 93 46 165 57 19 239 71 187 64 59 21 213 155 97 100 93 147 65 157 238 229 217 41 240 95 199 77 65 22 117 132 133 26 88 170 183 114 96 225 199 239 19 186 149 62 39 147 172 98 88 105 203 163 40 147 250 13 10 88 50 78 211 175 7 151 44 45 18 193 255 226 216 128 111 58 189 219 186 101 110 84 193 133 15 55 153 19 65 218 192 37 61 166 41 100 130 4 13 9 21 19 54 124 168 1 4 244 17 217 29 72 112 88 2 144 185 44 105 19 143 31 79 88 164 77 153 168 249 186 14 222 137 23 208 228 135 125 11 6 250 126 182 252 152 235 19 67 22 140 0 139 135 80 48 11 64 26 186 234 120 9 9 15 164 18 80 25 15 224 240 12 180 188 240 19 174 19 4 101 17 48 128 101 114 64 162 62 148 120 65 229 189 15 99 178 143 177 252 200 19 140 183 221 220 27 77 194 246 124 202 205 167 20 67 12 17 196 247 60 116 239 195 14 113 228 77 45 55 60 240 224 43 1 177 241 64 23 126 188 8 47 39 36 115 244 176 61 241 36 60 15 164 14 83 242 112 73 152 72 156 112 202 9 85 27 143 191 20 237 171 242 69 250 80 194 49 50 146 134 51 19 21 92 210 84 83 205 51 135 227 229 77 56 227 108 3 149 32 38 40 104 6 132 70 80 168 1 9 92 168 78 162 6 178 203 174 1 22 72 192 65 163 32 234 56 255 33 155 53 227 116 212 62 181 218 108 111 198 224 32 125 170 204 147 38 125 19 37 92 220 163 241 198 16 159 196 114 210 76 209 84 50 203 82 113 65 211 211 79 151 180 20 48 116 224 240 64 26 204 174 194 34 188 78 50 240 49 64 204 136 241 128 51 47 22 168 130 165 78 227 20 17 212 247 58 8 6 155 85 4 156 197 199 8 159 204 79 204 77 59 73 147 85 27 71 21 51 85 83 111 164 242 196 224 84 85 181 213 74 15 59 149 212 105 197 29 83 91 112 77 29 55 68 4 163 185 240 42 56 232 8 246 44 21 41 13 181 169 85 227 108 143 93 244 220 197 241 205 99 93 53 87 85 111 81 77 215 212 41 121 41 22 206 112 177 13 247 220 109 23 126 247 77 92 104 124 20 206 12 50 16 225 99 144 69 200 102 100 146 75 14 249 100 17 50 8 34 130 25 54 48 40 58 233 28 160 238 158 136 104 8 84 208 17 26 42 1 7 20 222 72 74 27 160 181 41 121 232 108 78 48 250 104 164 129 222 216 95 29 131 203 224 225 77 77 69 229 105 168 151 84 255 117 106 172 19 70 87 56 117 27 206 24 226 166 167 86 83 98 169 51 112 186 95 176 175 54 187 142 44 188 64 80 26 32 103 97 208 131 49 22 96 169 45 11 49 19 43 24 29 138 92 128 23 170 85 53 251 90 166 113 105 139 152 11 169 9 38 171 78 134 193 90 205 192 63 236 152 77 15 7 135 60 242 41 59 198 28 71 203 199 46 252 236 179 215 20 28 205 53 209 212 156 114 28 113 209 124 115 15 9 79 219 105 101 43 32 69 192 80 124 236 204 110 162 88 39 93 247 52 159 94 157 220 125 121 87 61 99 205 41 110 183 235 15 29 102 154 202 169 133 127 26 112 212 91 31 30 250 223 139 21 93 244 213 69 224 102 123 110 78 94 61 240 235 235 232 97 130 25 76 216 0 134 60 43 90 136 58 136 0 197 185 162 24 76 120 1 135 40 226 240 226 155 213 37 13 46 104 109 182 241 223 127 109 116 76 4 223 72 217 234 196 69 53 178 169 77 56 102 123 147 217 50 0 184 142 113 46 122 187 35 158 234 158 182 59 25 213 168 82 206 171 224 228 48 8 255 189 52 13 140 130 188 64 135 14 220 230 163 96 160 48 7 94 48 82 21 28 225 1 102 85 101 21 205 82 70 48 126 80 36 80 104 165 115 33 60 96 239 112 113 133 96 72 163 89 205 170 138 44 130 129 132 22 230 106 130 62 164 222 5 123 39 57 14 54 81 92 170 131 226 227 74 215 67 11 46 113 122 190 115 34 21 33 56 53 55 68 145 139 83 196 27 102 104 104 195 7 89 145 77 88 60 93 8 177 196 196 49 126 48 130 147 115 99 234 182 152 69 57 58 144 142 23 27 97 28 159 248 197 213 133 81 139 207 243 163 23 87 55 140 142 117 64 115 158 232 1 17 34 48 129 9 60 50 146 17 120 36 37 45 121 73 71 70 32 147 118 42 200 6 102 16 131 155 105 103 59 46 128 72 205 2 213 2 156 93 128 6 26 152 223 11 80 176 3 69 40 98 13 138 88 66 45 109 185 132 29 64 64 151 186 228 0 4 56 240 203 94 66 64 9 251 224 198 55 8 168 185 48 118 44 153 202 68 230 247 178 216 76 102 126 79 145 208 204 192 50 13 24 72 106 255 58 243 123 203 180 166 52 163 89 205 239 101 128 109 252 160 195 24 100 117 196 21 116 198 44 168 8 70 48 110 49 195 25 6 160 89 190 242 0 14 181 18 70 84 116 147 155 137 108 231 87 134 8 79 82 84 32 24 101 185 39 56 191 25 78 131 38 20 161 25 152 102 66 187 137 208 125 46 244 154 223 67 36 54 15 42 81 136 102 179 99 64 20 34 60 225 25 128 91 216 206 72 141 3 163 70 49 154 209 139 46 180 162 223 124 168 74 89 122 82 152 82 179 165 225 92 105 76 61 150 129 52 160 0 6 46 112 193 78 121 234 83 24 236 84 168 65 237 105 80 103 0 131 25 36 149 4 38 96 170 11 98 224 128 247 89 100 0 26 104 223 68 112 54 2 169 110 224 5 91 245 1 87 125 240 85 31 24 192 0 41 72 129 12 120 192 3 32 0 225 0 64 32 192 1 220 250 214 3 96 96 13 65 248 198 60 10 168 185 154 34 52 175 222 220 43 66 27 234 210 12 244 85 115 127 101 40 70 17 121 133 43 180 37 24 115 201 193 75 53 215 137 5 244 141 255 14 147 165 172 61 219 162 12 143 194 115 22 2 29 67 26 29 122 210 182 44 35 179 240 92 198 3 28 180 206 207 194 116 24 21 21 172 95 109 26 88 216 78 179 181 29 67 100 109 19 233 218 67 58 246 181 25 88 236 59 71 91 10 33 233 226 94 83 155 45 97 9 43 209 97 40 114 182 171 83 46 108 183 9 205 14 44 55 176 178 205 45 96 17 249 215 149 70 244 164 13 173 168 34 211 144 14 164 38 85 188 227 61 234 81 131 122 94 158 166 247 167 60 29 64 12 162 115 85 172 202 140 148 52 211 128 205 70 128 74 65 77 135 6 48 216 0 68 118 134 3 175 142 181 172 60 0 0 0 128 96 3 27 16 64 193 11 86 48 23 220 10 129 48 64 97 30 185 61 110 94 43 154 216 197 102 56 133 9 112 132 77 185 155 1 71 32 33 7 26 126 192 92 164 176 90 228 186 52 1 30 32 49 137 59 240 98 107 28 151 109 94 32 103 101 71 154 129 7 36 99 22 163 93 69 13 225 176 130 28 208 162 196 62 114 132 116 29 17 140 100 148 130 199 183 255 40 49 11 179 208 137 227 86 55 197 182 69 44 139 53 156 131 14 75 84 182 211 196 238 234 66 60 226 22 95 161 200 180 93 157 98 75 124 230 13 159 212 182 100 118 46 91 130 33 90 30 27 209 17 158 165 232 138 173 124 102 15 112 88 186 133 149 50 94 217 156 92 51 183 184 177 106 38 115 114 253 76 219 97 72 33 208 67 230 112 155 251 188 80 234 234 181 205 117 154 1 9 72 80 233 164 162 215 5 3 160 1 13 98 240 105 22 132 250 2 163 150 192 168 47 32 1 9 36 36 59 45 96 245 85 249 52 223 18 72 4 170 81 77 136 4 88 16 131 1 228 186 167 74 117 153 6 112 224 131 61 148 65 11 67 0 0 130 9 144 96 6 51 216 30 158 192 95 97 95 220 129 24 51 244 186 211 126 241 157 209 124 109 15 156 56 145 47 86 233 11 91 124 237 18 15 122 176 35 6 247 144 59 108 101 108 192 5 158 165 168 225 21 18 153 92 107 163 25 11 233 244 130 89 184 242 0 89 240 152 24 115 41 119 184 159 29 99 120 183 243 204 248 230 241 255 42 164 81 110 113 179 121 176 133 69 49 107 59 166 232 126 227 249 223 138 78 0 134 77 28 216 218 162 152 182 228 142 184 191 87 58 140 120 15 124 177 30 104 179 183 17 174 237 218 30 89 199 75 110 242 72 89 11 241 142 155 219 209 13 143 45 140 21 41 219 140 51 92 87 2 31 56 154 177 226 92 41 132 124 200 82 192 248 74 97 222 241 108 219 22 145 142 136 110 108 165 237 104 134 211 252 227 138 140 3 12 44 125 117 241 250 52 215 49 96 193 169 19 50 235 85 135 157 213 99 31 251 125 69 121 145 82 130 224 169 180 174 53 170 71 125 235 79 211 64 215 48 48 1 8 74 96 7 57 148 97 8 67 48 118 178 23 124 0 8 227 47 185 131 231 50 109 159 13 237 32 151 120 25 178 216 177 71 223 114 102 113 223 220 230 12 5 226 153 147 241 22 37 59 190 180 115 113 110 8 98 206 111 106 248 54 179 202 160 197 226 108 254 121 198 105 37 1 15 96 214 104 103 145 140 51 47 94 179 70 228 252 117 119 190 216 51 183 126 180 178 160 69 239 193 255 253 115 231 118 215 240 172 173 237 138 99 47 11 98 120 180 20 188 103 108 204 165 78 121 220 231 24 243 153 149 197 230 177 114 93 207 195 141 199 179 80 92 135 21 121 228 152 187 27 182 30 32 56 143 149 241 128 27 142 225 37 129 13 186 192 47 207 248 204 18 67 22 176 175 253 191 163 219 244 213 226 255 240 208 190 185 115 89 172 125 215 195 134 7 64 177 14 0 191 142 187 130 235 122 49 142 91 188 198 131 167 199 243 56 140 107 174 155 211 184 224 155 46 229 106 186 253 115 131 14 136 131 242 185 58 172 187 180 25 216 52 26 232 186 84 187 47 178 59 65 20 68 37 252 82 159 139 160 153 18 216 0 251 18 165 133 72 8 62 113 187 183 251 180 24 232 180 158 50 1 13 16 4 3 16 182 180 66 54 191 107 43 14 208 1 79 176 192 232 202 191 23 91 51 111 163 133 124 155 33 98 160 6 90 8 61 199 235 189 198 178 191 194 146 130 96 240 61 248 187 133 131 195 172 204 186 5 41 196 178 68 235 189 6 204 172 205 163 134 204 163 190 210 187 64 255 144 163 5 101 88 67 143 34 134 177 104 158 97 40 49 209 243 40 210 131 195 51 212 172 49 172 40 71 160 133 36 43 56 66 244 40 238 163 5 148 195 194 230 138 58 45 236 61 105 72 62 199 147 194 100 32 134 67 244 61 105 136 139 29 155 6 90 16 51 219 122 161 222 115 194 29 243 194 7 136 134 209 18 195 7 200 129 228 146 2 51 44 56 210 251 57 120 163 5 56 27 173 125 195 178 232 74 0 90 208 189 248 59 69 207 106 68 65 132 191 117 99 62 42 92 5 230 11 134 44 43 180 233 154 46 67 67 198 166 227 179 43 88 69 243 163 5 146 171 45 15 128 197 130 163 67 84 68 177 45 116 66 120 138 194 41 204 67 222 27 11 69 36 179 45 59 60 2 92 194 162 91 173 97 176 134 97 224 64 75 115 14 231 240 192 75 35 1 17 116 47 133 48 187 20 76 193 168 106 193 123 120 65 80 138 175 133 152 193 26 44 53 83 11 53 28 28 0 23 32 1 16 8 7 3 144 129 33 56 48 46 24 194 191 227 0 68 128 132 251 155 182 192 98 58 255 12 124 195 96 92 133 205 242 189 149 131 39 38 219 196 193 195 200 55 236 69 7 236 189 45 204 195 25 186 133 54 212 21 109 140 179 222 163 134 62 92 201 7 160 133 14 9 172 32 163 134 130 123 61 145 172 54 56 212 55 65 132 196 157 132 61 78 188 67 250 235 61 48 28 173 205 243 61 166 108 73 64 52 199 36 236 24 140 156 70 90 120 196 204 154 133 131 99 202 91 96 50 106 8 5 152 92 28 140 115 73 147 156 161 97 164 5 149 92 5 150 92 156 55 124 66 89 20 50 219 202 201 161 236 201 216 57 203 85 8 5 216 19 46 93 64 133 14 72 188 73 148 197 163 172 74 205 58 56 98 124 202 140 108 56 146 148 54 116 236 152 45 100 203 248 235 61 216 26 134 16 152 194 161 124 128 43 120 182 105 220 200 142 236 189 143 164 73 90 200 178 97 40 178 165 91 194 193 67 199 235 58 204 36 116 4 212 76 77 71 56 132 66 88 170 119 92 42 216 132 77 231 8 193 246 66 136 89 187 71 20 124 31 125 228 71 138 248 71 26 68 53 224 12 53 255 130 204 193 1 160 59 13 176 131 20 32 182 190 131 72 5 59 128 45 8 131 54 40 192 212 68 71 107 64 205 116 68 205 213 219 76 82 224 61 36 66 130 10 96 75 82 32 133 210 106 52 16 115 4 94 4 207 125 163 5 56 8 68 161 12 207 240 236 189 97 88 189 174 116 79 250 12 73 240 164 79 82 32 61 56 80 63 134 10 68 179 92 5 252 12 207 86 76 174 14 104 70 237 12 207 215 147 134 89 224 70 5 213 183 7 24 76 177 172 73 90 152 73 180 108 202 166 188 194 24 43 178 234 44 50 235 164 206 35 235 189 251 36 133 91 128 189 28 88 1 47 128 3 109 4 64 252 76 207 137 203 70 89 160 79 22 245 206 246 116 79 199 180 69 105 8 208 240 180 75 245 180 67 60 196 209 252 28 139 213 178 134 105 36 69 28 45 45 36 26 3 189 164 202 88 4 208 240 100 62 36 16 174 18 243 202 28 21 204 235 228 208 42 253 204 207 4 77 15 229 208 105 236 168 0 213 81 56 208 203 24 235 81 28 109 197 37 180 69 237 228 78 126 240 206 255 251 92 6 32 77 199 12 13 82 235 180 210 13 197 82 208 220 80 213 68 77 104 99 25 119 252 192 171 123 71 166 178 52 24 168 77 133 80 65 220 52 59 172 98 8 23 112 65 24 220 19 71 13 72 129 188 193 92 51 78 31 40 3 2 59 176 229 92 48 27 224 2 100 139 171 57 8 3 55 144 130 19 91 173 233 36 77 212 92 172 25 45 173 116 210 5 90 32 82 247 36 6 129 154 56 71 204 195 144 76 167 31 120 73 143 34 133 222 179 134 18 155 81 247 148 134 208 139 6 41 197 79 38 243 0 47 224 79 94 253 73 28 133 85 244 115 3 71 72 86 98 40 83 105 8 133 210 170 128 222 115 85 128 210 81 235 148 137 5 8 178 16 157 161 131 251 1 58 232 12 117 50 139 21 112 214 13 61 177 82 69 199 83 237 70 215 147 66 36 32 215 91 205 183 179 36 133 80 144 66 71 152 26 107 104 198 170 164 85 107 181 85 92 101 82 93 221 196 222 171 87 241 164 133 39 213 215 45 76 74 128 218 78 33 67 0 103 229 87 10 101 73 90 208 1 255 179 192 49 65 172 87 230 75 167 206 88 172 51 228 73 44 235 80 118 53 207 44 85 215 117 229 87 131 53 210 240 192 201 159 108 216 240 164 195 96 200 149 23 235 213 134 85 85 126 96 85 204 130 209 88 21 89 82 229 80 117 236 89 158 45 217 60 125 86 55 24 3 20 112 205 64 45 175 164 98 42 119 100 90 231 24 212 174 171 199 67 21 37 22 128 129 125 140 53 80 242 205 90 171 193 27 148 59 171 179 59 31 40 43 0 64 171 180 98 48 4 51 182 77 109 43 46 240 3 29 128 4 55 112 2 146 205 83 41 152 206 4 168 0 47 117 207 101 168 128 116 26 131 10 80 134 21 221 89 71 168 219 10 112 213 28 149 66 7 225 135 121 13 208 91 16 168 32 243 91 28 149 5 184 161 6 33 122 220 10 128 131 117 42 80 65 156 5 28 213 209 31 56 215 14 8 129 10 160 134 199 157 214 61 76 39 65 244 209 104 168 0 14 235 0 84 200 130 21 168 128 95 8 5 202 197 130 113 37 215 34 209 129 49 208 133 108 36 70 81 157 91 243 20 213 255 212 124 0 187 149 221 0 149 134 10 136 87 114 69 209 124 67 221 227 229 79 85 108 85 252 188 215 202 237 140 196 37 86 129 10 134 239 20 88 157 173 128 220 253 129 50 156 80 28 229 201 21 240 220 197 244 81 227 181 220 188 220 66 153 92 86 107 237 44 114 21 94 226 125 213 10 80 93 224 77 77 41 16 94 192 69 77 147 69 77 225 125 81 246 229 222 188 236 0 41 176 86 205 13 80 241 245 220 186 189 81 252 204 219 189 237 219 191 205 54 253 133 204 7 8 1 253 245 221 250 253 221 10 182 223 222 21 213 63 112 2 39 56 4 242 113 90 65 21 170 165 117 90 243 217 128 167 109 175 84 115 128 19 164 53 22 152 129 125 196 129 235 72 181 173 77 53 183 99 1 175 109 153 18 8 171 177 50 43 2 43 54 4 75 171 2 43 219 191 227 2 37 40 0 76 248 1 60 53 207 12 182 223 105 244 95 157 13 134 19 253 78 252 228 189 144 21 220 101 8 208 188 141 215 122 83 94 45 174 128 32 171 128 91 88 86 184 249 5 7 198 81 227 213 133 255 188 100 40 236 133 98 252 76 93 36 202 75 255 28 99 252 148 27 106 21 40 26 227 7 107 245 209 188 197 178 106 210 93 42 54 96 108 224 222 114 101 33 139 213 5 239 164 6 41 156 130 38 182 96 236 157 214 217 45 228 105 164 227 0 101 62 139 253 1 255 204 226 5 6 99 117 242 226 77 174 219 249 252 82 106 168 128 31 208 1 242 13 228 226 109 222 115 109 198 216 101 95 44 40 0 36 189 204 2 174 99 51 230 216 122 227 219 95 160 220 7 184 224 251 13 221 65 22 51 94 70 205 156 140 95 250 148 222 82 62 215 15 117 99 250 52 94 36 24 3 100 110 227 0 133 85 99 245 100 247 148 133 227 125 49 49 243 0 107 173 0 8 110 100 253 181 95 38 222 224 222 253 131 23 243 2 130 48 225 163 218 52 131 236 169 165 114 25 20 118 25 16 216 128 75 107 47 22 80 53 68 85 159 6 160 1 18 40 129 157 145 8 132 224 19 174 189 53 131 68 200 29 22 171 177 90 72 179 42 48 0 216 59 45 104 104 98 99 171 191 195 0 123 208 1 255 76 120 219 63 0 222 250 189 2 94 158 198 104 13 80 77 68 16 49 166 207 67 44 178 231 213 228 250 180 86 19 202 93 106 110 82 90 224 230 98 48 233 98 142 134 91 48 227 51 14 208 81 214 133 21 16 96 225 21 221 101 45 134 7 192 221 58 136 29 152 118 207 104 152 5 107 174 128 2 232 140 2 168 0 108 240 81 107 206 129 232 114 131 68 102 222 120 45 0 53 86 227 241 13 234 249 37 134 105 56 94 41 208 104 176 22 213 43 208 230 245 85 220 249 77 106 171 174 131 31 96 106 31 157 5 51 46 139 115 21 222 161 22 209 249 213 1 88 214 5 71 64 229 38 157 95 225 237 232 74 6 99 47 208 133 31 216 75 166 158 101 250 124 234 99 173 3 28 171 0 191 22 233 90 54 101 239 12 105 28 237 106 46 30 131 58 200 233 193 245 209 174 126 0 14 27 235 249 13 61 101 0 227 175 6 94 49 19 179 150 110 236 195 6 236 49 24 236 28 96 106 98 174 102 48 134 229 169 137 29 212 14 79 202 214 102 74 38 5 238 171 128 232 114 132 255 43 16 92 98 240 233 209 158 219 225 54 79 141 46 110 113 222 96 73 128 131 14 240 132 56 0 131 78 50 159 163 226 52 79 147 59 23 40 159 19 118 231 120 6 1 231 112 1 79 67 53 138 208 47 19 192 129 157 209 0 23 96 1 224 188 0 129 62 72 187 123 1 30 54 104 132 150 1 25 216 131 61 176 3 251 150 131 61 24 182 3 251 59 8 160 3 68 0 85 39 184 232 228 238 221 227 214 104 236 173 109 186 254 236 89 190 133 174 166 139 14 16 222 105 40 83 82 150 109 10 65 229 91 8 237 10 208 133 194 126 92 49 60 94 182 46 5 16 15 113 82 72 93 56 112 131 214 14 221 220 118 207 89 24 228 21 48 229 31 184 130 98 192 6 195 110 210 91 8 238 10 232 155 2 48 229 10 136 240 34 189 230 207 60 109 28 189 5 159 198 221 115 117 3 35 55 242 188 254 206 106 168 128 7 240 109 223 222 96 196 154 95 58 22 113 16 31 229 244 211 5 35 111 237 185 182 237 227 13 108 84 208 102 5 198 79 101 40 134 31 176 234 241 101 83 255 247 188 240 10 40 6 239 116 92 179 206 112 203 6 177 173 118 79 17 95 92 238 117 241 214 174 6 62 174 128 87 22 236 254 13 79 42 223 78 78 78 107 35 215 102 191 46 133 106 14 5 227 157 223 249 45 6 101 232 240 38 31 238 227 214 194 51 14 116 59 31 131 213 238 128 200 62 244 52 159 223 49 48 101 55 24 134 19 159 242 147 86 240 52 159 134 98 112 112 81 125 128 98 144 133 208 206 182 227 54 238 1 23 107 177 70 44 91 191 245 14 48 242 52 8 97 166 66 225 77 3 53 245 206 193 29 132 231 13 0 129 135 120 8 121 30 84 174 59 181 11 136 1 23 216 0 126 198 129 123 152 1 234 198 53 23 168 59 0 123 111 248 30 171 175 10 7 13 200 135 19 190 135 23 216 3 98 123 200 182 194 128 35 118 102 56 32 131 91 71 44 41 152 130 138 131 114 141 214 242 64 127 217 98 88 243 98 120 105 124 31 168 31 104 109 25 167 115 16 95 220 96 128 101 207 149 130 151 118 245 124 247 233 49 208 102 255 69 244 87 101 112 54 167 3 255 44 40 134 91 168 119 27 79 120 199 13 113 68 71 244 188 237 243 169 97 117 89 8 244 5 181 243 189 197 105 56 40 134 104 48 95 222 142 207 150 206 120 141 39 133 81 182 220 21 240 222 60 157 95 132 127 128 222 158 244 175 190 130 63 127 220 84 231 7 103 14 245 36 175 248 74 78 117 130 247 247 89 176 116 38 247 114 35 247 206 197 11 237 124 127 128 49 200 247 89 118 248 240 92 114 244 253 129 251 69 249 240 165 134 98 64 95 13 220 234 122 191 116 36 205 243 182 30 100 184 22 250 1 174 128 170 119 79 108 72 249 163 70 121 98 32 134 65 86 75 223 214 121 24 47 134 164 7 113 82 112 248 82 136 121 83 102 40 225 77 121 64 231 123 238 251 122 29 192 242 125 205 247 183 0 244 21 77 248 124 95 134 132 31 146 193 238 229 75 156 95 223 142 119 2 15 107 205 175 245 118 111 119 50 96 168 49 32 2 125 232 117 20 134 1 79 35 53 84 91 239 150 49 118 235 120 125 170 226 110 218 204 181 25 208 128 255 194 1 13 16 47 108 7 43 255 3 248 42 248 238 42 13 120 90 160 178 186 123 200 111 33 60 0 14 232 129 49 8 131 121 48 132 117 88 135 4 136 254 232 255 109 233 31 237 138 155 2 41 56 121 189 167 243 194 63 106 225 205 247 6 73 124 55 56 237 122 39 113 203 254 204 14 208 254 132 199 130 27 58 121 61 23 249 91 72 93 206 224 7 247 111 251 190 63 106 101 144 63 251 47 5 178 7 136 21 29 130 85 144 70 170 20 194 131 164 136 133 146 86 12 14 191 49 43 220 184 33 72 140 20 198 82 24 73 205 42 246 192 77 135 10 197 138 221 210 136 208 164 172 10 30 116 8 180 118 229 74 130 43 83 104 85 80 150 178 194 143 14 142 28 197 156 34 5 102 130 98 216 102 109 212 120 112 214 175 10 186 88 130 148 226 161 102 198 132 28 71 174 96 153 129 38 177 147 38 73 69 171 0 103 76 206 97 142 224 140 44 139 229 7 191 28 21 150 25 221 136 49 229 74 93 57 159 14 61 169 144 84 202 28 94 192 14 132 122 80 42 41 101 94 199 212 9 89 236 98 198 162 121 189 255 200 237 112 197 105 133 104 69 55 118 44 70 77 86 70 98 130 139 121 64 213 161 131 148 158 63 19 208 92 86 52 97 41 89 156 11 200 133 60 116 242 65 213 88 10 240 149 34 114 89 74 162 137 255 170 126 240 64 36 103 56 58 116 185 177 70 151 88 177 10 72 196 78 137 41 243 231 203 151 161 159 3 77 96 253 250 245 151 127 62 255 232 129 130 196 134 13 32 76 192 160 193 66 66 131 6 232 37 72 96 17 99 128 11 240 26 52 128 152 175 225 30 126 16 27 228 151 192 209 31 7 128 247 224 240 194 11 62 16 232 131 15 6 40 232 3 14 32 144 224 194 0 52 72 40 225 0 3 204 0 130 29 90 112 65 0 135 54 108 113 198 24 186 116 32 201 20 37 154 88 98 79 213 145 6 92 48 106 41 19 149 81 8 9 54 219 82 252 240 195 18 18 197 84 99 151 81 149 233 178 2 28 142 92 225 136 27 19 253 80 0 29 116 240 83 0 86 90 153 68 76 111 58 20 224 133 23 106 77 51 11 143 81 17 35 141 44 60 158 84 141 87 44 13 115 255 197 72 37 253 133 16 150 203 84 48 91 109 182 213 229 37 114 193 116 64 83 49 94 162 153 212 10 109 94 71 83 53 178 36 83 204 15 19 13 211 220 117 37 210 132 217 153 40 21 51 155 64 66 38 80 65 5 37 57 89 202 52 202 121 49 145 90 213 36 138 230 72 132 101 32 164 20 69 254 32 156 146 252 232 82 193 155 78 250 88 219 72 136 37 122 203 72 75 9 148 67 153 147 150 18 167 85 100 98 99 107 41 62 54 230 72 115 52 153 233 100 156 101 25 75 11 28 63 6 57 26 161 69 8 133 229 164 171 118 2 90 171 182 222 2 169 46 89 172 32 197 3 35 77 131 156 95 118 253 53 35 107 5 216 40 81 7 180 30 6 38 18 168 12 195 44 118 206 37 96 162 117 50 197 123 175 117 62 125 230 69 4 38 152 16 30 8 51 152 199 94 122 5 179 231 222 0 48 152 80 31 126 13 151 240 48 196 0 74 76 224 129 5 26 128 224 11 37 4 28 33 11 44 92 112 129 123 20 186 160 207 36 67 216 192 225 1 24 216 131 72 24 109 128 182 255 14 190 215 133 112 221 3 127 218 252 103 205 93 218 138 84 50 43 216 168 67 136 110 28 106 171 159 88 180 214 220 21 25 212 248 179 14 88 20 163 140 181 200 37 51 6 208 186 132 72 80 50 178 72 138 16 148 216 160 10 173 147 126 6 83 128 160 165 241 42 53 213 43 100 240 83 205 108 217 42 77 50 72 84 144 140 52 91 59 185 76 50 57 228 138 29 77 216 72 157 44 42 112 192 123 221 72 96 59 89 141 47 43 212 209 212 163 201 64 61 41 174 141 13 61 105 209 71 199 84 164 148 54 46 233 129 47 58 79 170 140 47 72 88 101 13 45 190 68 195 43 220 194 53 218 54 234 201 124 133 138 113 157 243 42 75 232 158 10 57 5 231 210 204 238 250 10 193 216 252 64 7 84 43 235 72 104 214 205 92 186 231 78 130 46 250 234 201 156 110 107 53 174 179 196 249 159 210 16 67 77 5 57 243 202 51 90 63 99 250 167 44 209 248 18 140 160 60 197 124 62 250 216 173 35 197 35 110 180 17 7 24 36 128 160 31 9 3 120 156 158 3 5 23 12 255 50 13 22 110 112 223 195 238 1 177 255 76 108 64 5 42 16 131 238 177 129 25 112 236 2 235 105 79 200 104 224 130 13 200 1 0 28 34 192 1 62 180 0 72 184 193 16 48 11 1 8 67 24 194 120 213 204 23 203 144 212 245 108 102 55 173 16 99 124 85 195 148 47 124 193 43 241 5 10 52 48 153 66 7 126 176 148 170 185 225 79 43 44 197 45 110 225 138 158 177 198 72 84 67 66 12 111 150 68 240 237 44 134 43 104 12 231 92 193 171 91 80 195 23 170 3 77 2 66 16 195 31 166 38 25 193 136 97 52 110 225 54 39 221 226 23 201 248 145 27 28 53 179 154 185 226 22 112 75 34 45 30 83 168 153 113 238 121 144 27 159 46 96 7 19 21 196 208 112 104 26 98 85 4 34 133 194 217 138 134 130 188 78 14 119 8 180 30 186 194 143 92 43 70 48 134 3 146 154 73 195 145 169 113 225 68 184 85 140 54 18 205 133 122 172 25 67 162 69 141 98 172 160 81 123 242 69 40 39 133 184 49 44 73 7 64 211 193 15 124 23 67 90 228 224 255 94 190 104 164 173 90 72 11 49 145 206 23 213 176 164 159 226 146 131 63 45 3 90 196 24 226 22 207 150 140 149 132 40 147 49 148 133 159 72 41 40 66 101 49 125 51 19 33 54 65 24 175 117 92 97 59 29 72 195 4 254 53 63 19 184 32 6 23 208 95 254 26 224 128 116 94 224 61 3 0 143 128 6 40 49 0 81 140 64 56 184 7 121 56 70 48 253 125 12 97 46 200 71 5 81 134 1 37 232 0 19 46 147 66 115 178 41 66 227 37 192 25 201 212 74 25 125 87 201 214 193 97 34 212 42 70 242 180 2 183 31 128 4 59 59 41 210 68 132 102 194 104 221 98 121 195 201 137 53 48 23 145 31 80 47 134 193 32 11 46 39 181 140 218 77 203 54 24 157 161 47 24 213 81 210 140 52 90 200 172 155 159 184 136 55 163 233 113 102 9 160 192 22 167 177 68 56 22 65 102 60 205 232 73 196 87 81 157 100 241 153 182 26 106 174 74 55 141 214 229 4 88 215 249 104 41 39 226 187 49 106 101 22 27 109 13 231 124 33 169 80 176 21 33 101 255 236 25 20 125 145 12 46 206 2 144 186 88 219 21 74 199 197 96 18 7 9 64 161 164 50 199 38 37 41 233 66 150 75 165 69 83 173 243 128 158 170 234 172 32 161 30 93 157 168 11 71 108 177 173 110 29 159 47 45 89 138 212 173 32 39 57 136 225 50 254 54 205 106 98 71 155 12 45 173 66 71 120 47 110 146 1 9 186 32 66 62 22 54 191 242 156 83 157 234 204 223 58 109 219 158 247 40 76 3 4 52 96 61 27 196 192 24 152 19 61 232 84 15 200 98 32 193 124 236 1 3 24 60 0 4 122 128 8 76 184 193 9 82 128 89 2 138 160 221 237 114 215 58 218 173 128 236 38 5 55 206 145 85 43 180 243 128 20 28 65 189 242 90 214 137 88 52 237 79 58 32 150 47 74 49 151 201 216 101 99 164 83 164 49 152 139 31 165 178 17 18 161 10 196 95 252 2 141 142 168 217 86 115 153 148 160 57 138 143 156 156 148 82 173 71 12 165 86 195 178 109 245 145 64 246 24 2 164 162 82 124 92 58 137 44 134 88 129 28 36 150 167 92 44 69 255 21 39 226 87 158 218 209 178 60 51 240 3 126 225 11 75 134 194 189 212 156 215 20 118 226 136 216 205 216 194 8 9 38 75 210 37 227 84 42 47 167 124 249 34 42 5 28 76 86 101 214 199 161 80 106 13 67 3 194 202 70 75 26 86 12 145 46 178 92 186 15 255 88 196 70 173 21 229 124 177 146 89 181 42 20 182 2 157 222 86 128 60 39 143 247 23 236 253 241 50 119 178 222 50 254 194 17 165 124 175 119 75 76 71 213 122 55 181 32 228 46 119 65 248 152 71 244 0 12 226 161 143 192 28 152 219 117 50 58 183 233 105 167 133 64 240 159 23 208 147 98 27 40 143 199 8 102 220 116 30 204 61 48 208 64 25 184 96 131 3 112 65 9 172 105 131 53 178 8 232 85 111 55 132 69 232 35 91 205 92 10 51 43 85 23 84 182 176 216 166 16 99 19 222 66 22 177 70 136 153 107 236 11 55 248 181 213 130 14 77 233 80 233 100 58 63 49 39 87 48 106 168 242 148 57 205 233 32 198 92 92 222 93 213 123 107 23 51 227 202 234 165 0 120 101 255 44 224 101 132 86 51 50 14 239 172 101 189 140 95 16 181 120 9 80 64 12 137 177 238 43 89 216 141 191 80 128 118 99 82 140 95 112 177 140 180 200 112 8 192 59 81 31 175 27 11 124 73 43 148 108 37 236 157 134 160 8 124 78 246 45 150 45 99 197 185 33 1 207 140 184 143 253 109 21 234 201 123 22 62 158 197 40 239 124 5 129 99 156 140 191 160 133 229 2 254 139 22 91 86 22 191 8 6 26 57 186 88 122 91 214 222 136 253 98 130 235 61 241 12 95 92 226 187 156 8 172 127 61 235 90 111 187 173 46 15 198 81 65 123 139 24 34 161 148 120 109 184 171 91 109 236 134 103 151 213 86 7 52 8 167 224 4 71 28 34 2 135 214 64 253 106 219 232 219 218 86 157 237 121 39 1 41 125 32 28 152 192 126 236 121 187 113 213 131 220 11 208 32 29 247 208 130 13 70 205 1 123 132 33 12 243 16 146 159 21 218 234 95 72 35 214 134 127 107 1 224 240 11 95 27 158 173 71 255 128 184 137 177 248 198 199 90 198 239 109 184 118 67 184 111 255 106 96 156 242 104 246 148 138 98 146 195 39 82 109 12 33 250 5 53 40 31 10 127 255 200 41 190 152 188 234 197 231 1 195 158 251 23 211 80 253 234 101 209 237 164 4 227 23 12 105 60 82 126 97 81 239 134 91 222 50 94 235 225 205 8 245 16 236 187 36 148 151 124 48 220 16 26 240 114 94 245 204 22 72 140 125 63 13 198 83 222 242 26 158 250 230 123 173 250 130 183 230 150 209 144 197 239 27 143 109 55 112 110 241 178 184 61 229 143 94 126 194 223 98 26 157 143 245 209 183 229 221 24 51 195 227 207 223 57 104 132 198 235 221 95 172 45 157 47 108 24 236 53 30 249 73 31 24 161 159 234 173 223 23 21 30 229 33 158 226 113 159 225 61 94 228 201 152 209 28 18 230 57 28 54 101 222 7 254 217 213 141 160 7 62 134 27 192 207 255 40 144 11 176 192 109 141 29 110 165 19 11 208 0 9 244 135 218 213 211 11 144 83 166 105 218 3 73 0 255 192 64 56 12 1 16 28 128 135 156 1 36 28 148 241 96 147 51 36 161 18 46 97 230 57 255 131 237 77 160 82 193 220 10 252 130 50 196 158 47 108 30 49 72 94 231 224 158 52 252 2 80 180 154 51 20 1 188 209 31 238 73 94 5 4 217 179 129 97 79 116 0 28 80 4 69 116 192 19 82 158 248 52 221 64 136 155 255 53 158 25 158 27 51 64 83 250 253 223 185 121 128 232 128 23 1 134 66 254 57 70 195 197 16 51 136 17 129 69 3 238 61 217 47 168 64 24 146 9 191 169 158 228 121 64 186 132 223 50 168 158 203 25 205 48 236 154 102 108 161 234 117 97 158 53 161 24 198 80 221 68 67 31 178 85 240 149 146 20 196 144 77 252 194 29 22 224 201 253 8 146 65 147 155 133 226 47 84 148 35 84 0 253 41 149 5 178 213 186 181 203 30 113 88 42 178 21 21 229 162 136 72 217 23 157 14 238 41 149 10 148 78 49 174 226 182 184 162 203 197 162 49 38 5 45 30 31 20 190 28 88 80 97 236 233 97 22 18 24 22 148 146 88 192 68 7 134 64 24 90 93 58 58 220 58 178 218 18 190 35 19 38 128 20 72 193 33 76 64 10 130 255 128 253 180 96 163 165 147 3 240 224 4 1 87 13 34 72 9 208 150 3 193 221 219 125 76 12 192 128 32 0 64 16 14 20 38 120 130 244 161 35 60 38 33 9 106 87 14 252 66 133 169 34 129 185 2 54 174 0 18 101 34 240 237 158 50 220 66 52 112 100 28 82 222 186 85 64 195 173 35 184 253 130 43 132 81 21 82 30 200 229 98 38 173 100 59 230 27 117 132 134 55 2 223 196 205 201 51 21 227 234 33 14 234 201 130 255 217 226 47 18 34 129 5 131 107 185 146 14 52 159 28 230 162 244 241 148 237 149 212 235 185 194 81 198 218 186 61 64 190 65 35 37 186 66 48 180 95 34 46 131 4 54 94 53 184 2 71 133 27 85 158 164 2 158 92 14 220 228 190 173 28 85 22 163 252 93 36 21 186 220 47 140 159 23 170 153 75 66 137 75 30 165 191 173 0 93 218 223 52 184 36 35 170 159 43 44 7 137 21 65 95 90 95 53 60 34 95 84 29 45 88 101 35 102 101 100 202 229 203 1 38 129 189 162 43 224 101 211 69 166 239 113 95 240 185 255 130 43 252 155 71 154 144 76 150 37 21 146 164 75 54 93 38 169 26 69 106 215 107 194 230 77 198 102 69 142 32 8 165 215 10 68 0 8 8 16 8 208 128 4 56 192 8 172 83 112 142 157 4 208 192 12 148 128 218 149 64 120 104 0 2 249 0 8 172 224 65 30 36 200 176 128 11 220 131 201 0 1 7 244 128 46 64 2 28 60 219 68 126 231 68 206 140 83 174 158 75 62 128 107 157 165 100 54 158 203 185 2 49 220 2 106 194 212 32 174 30 71 34 86 18 114 216 94 214 95 124 134 24 204 161 130 148 109 23 109 198 102 45 17 222 4 158 28 18 237 229 85 134 66 73 174 28 86 186 164 130 30 158 82 153 101 43 13 135 46 68 230 32 66 25 18 176 145 155 213 223 47 20 3 18 164 39 94 106 165 98 37 96 242 109 228 72 174 91 70 38 159 114 188 158 253 41 131 43 140 196 36 14 40 239 65 162 10 188 37 123 214 223 45 29 229 186 93 65 251 157 159 73 90 99 40 148 101 129 86 131 106 46 166 122 178 91 239 193 229 52 140 230 45 17 255 96 146 54 24 97 90 223 235 97 1 75 8 14 212 69 230 129 134 2 101 122 232 130 34 129 7 112 36 143 186 164 143 2 233 45 9 105 73 98 156 16 37 5 18 128 133 27 44 214 81 174 103 123 118 97 157 149 82 71 249 103 59 210 102 17 80 100 58 218 105 109 178 154 7 132 192 58 252 129 33 232 38 126 144 0 11 0 231 8 4 231 112 230 22 11 12 0 115 226 0 131 144 147 11 192 0 8 32 136 1 188 0 9 12 76 65 58 80 199 196 160 9 104 1 16 0 1 6 204 65 17 254 1 58 118 160 59 130 103 17 80 64 17 112 203 75 198 90 89 170 206 133 186 2 205 225 159 43 156 80 130 254 219 24 116 105 97 62 159 73 246 106 173 138 145 150 22 160 104 214 80 98 222 105 157 206 102 43 54 82 227 9 145 104 186 66 137 198 231 49 201 106 172 177 168 104 194 31 254 185 36 202 181 210 143 116 86 14 4 107 40 80 107 179 142 100 180 42 5 28 180 42 238 177 168 7 228 91 8 56 43 238 45 131 43 244 9 130 54 43 1 50 171 104 142 255 36 139 22 67 174 154 43 175 54 43 191 158 208 186 141 102 173 162 36 191 66 147 104 198 88 49 242 235 72 38 105 46 234 43 173 54 107 56 158 92 211 56 107 44 178 168 142 86 64 189 226 229 97 74 82 104 228 91 48 48 172 97 146 88 192 174 101 179 18 172 87 178 39 229 33 172 134 234 235 171 226 72 140 205 170 227 253 234 173 6 74 107 222 233 170 213 169 127 114 87 24 58 3 5 236 44 207 246 172 10 252 44 208 6 173 208 254 172 51 128 208 33 176 3 111 210 128 58 29 42 162 14 39 221 109 64 61 181 29 113 209 0 12 220 195 197 24 0 14 16 228 199 76 39 113 13 64 56 0 128 13 0 129 18 180 65 197 121 0 207 14 45 218 166 173 10 52 21 101 165 167 238 241 171 104 222 223 44 224 6 176 114 164 7 100 89 150 221 40 238 145 36 71 202 170 214 16 67 89 254 18 94 122 64 134 165 43 5 0 109 170 34 238 206 34 174 220 120 235 96 42 67 123 42 3 72 46 43 106 130 36 189 42 195 29 202 2 106 138 14 109 200 169 78 192 255 65 135 186 108 80 138 102 104 149 84 193 226 237 146 66 233 47 56 5 219 38 67 27 53 226 234 177 104 78 133 172 225 177 40 228 222 2 51 216 149 173 121 171 49 38 168 179 254 109 89 186 66 14 232 194 187 90 163 123 254 42 181 10 9 187 54 94 73 66 238 184 62 81 241 82 174 85 242 173 43 220 45 213 68 230 172 174 231 200 62 159 194 10 7 113 88 131 77 22 193 21 184 100 124 190 21 104 68 239 225 149 229 9 37 239 21 44 175 225 149 228 183 140 43 145 190 45 220 202 45 221 254 43 187 61 17 144 16 79 67 233 236 225 254 108 170 46 238 207 254 175 10 28 238 217 170 237 0 247 172 2 47 240 206 122 160 110 226 128 6 12 128 4 48 237 161 2 103 254 196 0 9 0 215 115 22 87 59 205 0 14 40 136 1 104 64 57 109 109 199 76 45 12 236 65 216 114 192 25 172 0 169 22 1 208 50 240 1 35 176 10 228 0 27 146 46 91 105 198 200 14 226 251 53 43 225 134 85 88 213 107 124 170 103 146 138 102 31 246 26 52 229 46 71 133 255 6 1 19 240 11 23 176 1 55 85 135 10 41 238 233 158 224 202 97 245 74 107 40 204 66 89 18 165 227 5 239 3 236 208 68 8 78 117 204 137 251 202 100 136 185 66 232 108 107 239 72 236 178 38 169 82 230 155 122 189 107 16 191 109 5 64 175 201 142 159 104 146 102 179 1 177 76 10 113 30 235 208 24 116 108 76 62 95 57 112 164 157 237 238 85 154 174 87 150 146 46 60 128 199 198 26 224 114 164 209 224 237 169 188 235 239 205 66 73 254 42 30 82 107 48 8 143 103 25 46 36 198 42 230 182 177 87 178 97 100 14 50 30 138 166 47 28 242 38 37 114 38 231 0 88 216 112 40 224 176 104 106 77 252 129 107 15 119 86 119 122 0 40 47 241 208 26 48 48 23 176 48 195 48 49 239 236 23 28 51 50 39 115 31 80 64 18 248 214 61 72 176 161 50 109 254 176 0 12 32 39 129 104 0 12 196 0 220 93 192 0 152 0 8 251 64 219 121 76 9 43 23 213 150 65 16 66 128 203 20 65 50 127 65 49 175 243 58 83 192 23 176 45 144 140 255 44 81 90 35 148 236 112 30 95 193 19 201 5 28 244 179 168 184 110 173 218 242 29 66 9 184 42 7 220 30 52 177 186 240 217 178 51 59 31 46 67 159 109 2 56 66 100 90 229 44 84 116 238 5 47 49 88 180 70 31 211 47 140 129 197 158 144 42 246 90 38 143 230 10 208 134 154 154 143 18 134 128 35 252 128 235 110 159 42 206 66 175 185 107 30 235 47 72 20 137 197 186 116 69 107 238 104 254 0 18 184 112 14 132 138 35 79 175 255 245 154 23 227 109 185 106 178 199 245 26 15 27 137 27 232 16 75 139 230 249 201 45 65 55 43 45 140 35 37 187 46 228 102 49 76 235 180 43 60 128 204 150 18 84 119 30 49 100 114 78 249 240 10 220 146 77 104 245 44 224 51 45 200 44 71 233 80 97 209 115 196 85 116 82 135 15 85 11 7 97 124 178 19 83 64 8 92 1 76 225 244 90 151 165 87 176 161 27 160 117 70 215 117 240 70 31 35 255 64 88 91 244 88 171 178 107 81 13 99 215 114 61 171 245 44 67 211 16 143 102 211 109 235 15 240 255 4 137 21 48 59 171 192 49 195 51 207 62 180 49 59 244 67 55 52 12 187 51 50 23 115 1 83 130 128 68 112 3 80 48 211 74 0 163 82 12 14 36 154 65 46 170 6 128 240 11 8 140 123 144 115 255 144 64 25 140 218 18 184 193 21 128 54 107 187 115 49 147 118 83 37 139 154 137 102 238 78 55 117 243 43 202 185 82 94 99 145 9 46 5 231 84 183 119 119 219 33 55 46 85 35 1 232 150 18 28 100 23 105 143 54 60 143 118 67 179 55 5 252 244 10 116 233 65 55 107 52 208 181 125 207 194 53 48 195 87 48 246 119 159 238 148 100 119 79 11 243 104 95 65 160 88 236 124 231 174 87 148 210 168 252 132 20 84 212 68 51 3 117 127 241 121 235 172 10 144 183 46 96 193 124 187 2 51 120 133 26 143 193 81 107 184 134 79 247 67 40 184 144 16 9 119 187 100 127 139 184 157 201 41 71 149 146 129 123 55 135 162 194 168 80 4 208 205 247 203 201 108 63 231 208 15 84 64 127 115 168 130 7 201 144 184 193 82 252 192 131 67 120 136 31 255 57 51 252 219 146 232 194 226 12 163 105 39 128 131 127 55 249 128 110 131 239 184 145 95 57 51 248 248 91 59 53 138 123 183 87 135 21 222 210 66 138 123 249 14 25 88 127 166 119 123 187 247 122 155 54 105 175 119 115 191 57 3 31 51 37 244 199 6 196 192 108 211 118 113 66 173 129 88 234 192 192 157 122 36 228 7 27 64 10 12 228 0 8 55 124 144 0 10 103 144 99 172 249 114 55 250 59 55 244 170 10 57 75 96 65 145 27 185 114 36 203 146 236 133 121 35 65 118 57 195 12 135 202 14 253 192 103 129 56 132 47 10 107 50 50 213 20 64 127 77 73 231 130 134 118 161 185 49 171 121 107 199 51 168 247 206 47 136 56 134 183 209 125 87 180 187 126 177 254 58 205 116 223 120 170 3 248 74 178 57 148 231 137 149 27 249 203 157 250 157 73 89 8 132 10 88 60 120 29 183 158 7 56 241 170 254 186 152 107 248 162 84 5 26 181 33 92 3 59 130 123 0 116 3 137 20 104 211 74 135 122 119 83 119 49 228 64 187 40 248 254 6 57 178 75 255 251 89 200 69 87 33 1 168 235 130 120 111 120 69 253 120 104 144 119 32 61 120 82 232 16 191 167 107 95 75 58 217 32 65 239 85 183 114 28 201 127 119 86 7 244 52 172 43 192 123 75 65 188 79 55 174 230 4 167 219 89 180 91 186 184 119 214 168 128 74 145 224 187 180 239 59 69 100 0 27 150 18 88 228 187 186 35 129 107 105 43 63 55 88 196 179 57 59 43 128 204 75 188 2 208 188 163 231 188 163 195 51 17 8 8 161 10 39 211 54 0 11 120 176 129 248 192 6 172 96 65 62 208 159 147 128 15 164 128 160 223 3 3 245 79 133 196 71 64 113 128 27 172 131 10 220 188 214 235 252 114 227 252 23 124 186 144 155 94 150 49 178 213 12 214 127 7 141 24 23 123 1 171 116 178 164 250 146 44 201 217 103 89 160 52 53 233 165 250 11 69 36 60 223 124 50 227 188 222 35 51 223 191 247 185 179 58 171 91 233 174 195 244 176 10 68 69 165 122 1 12 150 216 235 114 26 230 125 223 31 115 133 135 189 224 199 189 69 241 68 0 171 192 177 243 255 151 23 252 12 186 228 64 48 144 182 7 208 240 19 9 126 43 53 83 218 143 197 82 44 190 170 239 133 68 204 169 217 106 190 234 43 126 132 190 16 191 107 152 95 231 73 235 171 122 51 229 132 20 20 65 186 230 190 219 47 62 234 19 207 118 89 248 240 187 190 46 11 73 230 71 116 226 151 94 51 73 155 170 99 247 242 127 118 222 175 115 164 87 197 148 100 186 68 76 56 32 182 189 148 44 254 11 193 129 171 247 233 21 72 186 43 177 58 234 63 188 232 237 23 150 145 189 226 99 119 183 195 252 23 120 61 215 187 51 223 219 127 215 107 61 255 3 132 130 47 3 9 22 252 162 2 5 142 18 46 46 56 112 48 2 98 131 11 46 74 188 120 225 227 158 139 24 23 36 116 244 216 64 130 196 1 32 12 164 144 145 66 195 140 1 3 92 184 128 65 66 16 16 2 92 230 92 81 65 193 96 78 157 59 9 6 75 224 8 206 143 21 186 86 20 213 165 107 76 210 164 68 221 192 185 146 32 65 17 156 10 4 82 80 225 12 9 156 162 73 117 40 93 186 162 255 41 156 14 142 28 185 41 122 118 69 135 14 82 138 120 248 34 144 103 220 34 63 135 142 209 81 96 12 18 87 211 102 245 245 219 87 153 171 28 105 165 0 253 129 84 41 81 176 112 144 36 184 73 129 2 213 130 112 67 92 49 139 244 110 87 166 112 28 93 241 224 97 170 213 43 90 189 18 101 12 250 237 64 21 89 183 142 193 59 134 169 35 41 33 138 56 11 81 22 241 87 176 82 162 134 86 145 67 138 214 21 73 11 100 134 189 185 115 142 34 55 191 120 96 141 121 233 15 206 189 173 2 39 157 184 40 156 217 143 41 132 8 126 56 49 211 181 9 166 86 205 49 90 232 81 245 71 177 55 69 162 156 121 234 156 30 114 104 205 109 218 51 232 34 82 46 135 151 238 40 1 212 126 227 111 56 236 254 83 14 50 235 134 90 112 168 220 96 43 170 41 41 174 8 33 152 242 38 27 72 50 184 222 210 80 190 12 227 34 136 170 16 69 140 75 1 53 216 193 65 131 1 26 106 192 33 144 6 208 224 34 31 112 152 129 6 142 60 250 168 129 28 89 112 1 255 7 25 100 224 1 165 25 90 154 225 165 112 134 32 224 128 53 60 219 80 196 38 157 124 146 73 201 138 184 2 40 55 126 184 18 203 21 174 228 12 64 218 152 107 146 32 15 18 8 206 74 161 138 194 114 172 4 104 43 34 135 4 144 144 2 206 55 213 68 237 73 129 70 132 203 67 171 110 11 74 168 31 92 97 134 152 191 252 34 230 152 100 210 10 112 74 56 172 212 114 203 46 157 153 42 74 13 171 82 225 167 160 206 250 161 41 71 222 131 244 3 170 172 170 180 79 206 144 160 51 196 79 171 236 243 191 43 150 131 180 77 69 81 157 46 132 71 83 251 224 11 10 196 36 211 204 75 83 205 1 50 249 108 165 114 209 70 175 200 161 66 249 156 115 149 81 206 114 64 109 195 238 126 10 246 202 14 18 224 53 178 38 63 5 22 90 70 51 125 143 217 58 155 165 212 176 104 53 189 201 211 41 13 99 244 7 105 67 128 180 57 231 202 122 213 145 101 113 122 203 217 83 25 189 116 219 28 214 228 52 210 16 163 236 208 206 212 156 252 128 224 130 13 62 216 255 224 58 67 36 162 34 19 104 200 17 98 9 104 48 33 198 23 28 102 65 2 27 59 2 9 98 144 98 48 33 5 30 120 0 96 15 16 102 56 153 4 19 52 208 194 134 3 56 128 35 4 114 20 6 147 68 12 39 21 211 77 178 116 142 179 205 110 189 245 20 231 55 119 158 115 85 156 172 250 172 45 171 122 21 136 86 5 58 157 249 95 184 84 8 161 77 56 139 97 102 25 65 253 186 134 25 69 85 61 90 76 36 58 123 47 4 159 127 246 119 234 243 144 144 147 232 72 9 58 250 138 181 185 229 215 233 90 157 141 123 237 97 61 32 87 196 107 227 28 118 221 89 223 106 90 1 10 218 26 115 104 192 139 118 146 130 96 66 112 179 48 192 139 5 147 205 49 225 156 115 242 190 85 240 32 238 200 135 229 251 105 170 158 134 123 109 207 121 54 59 116 167 83 255 128 244 181 245 117 171 201 180 175 184 124 217 47 191 104 218 111 188 107 175 182 84 199 171 46 140 44 41 216 222 157 211 213 9 22 49 225 16 147 119 242 118 132 11 158 217 219 47 162 192 225 255 133 25 98 200 209 129 28 99 152 1 7 31 188 7 65 163 11 56 210 56 36 236 117 116 33 156 145 1 32 57 31 18 102 48 65 229 50 100 226 226 144 28 100 126 94 97 231 241 55 94 233 205 145 254 76 105 181 170 211 241 66 199 186 90 85 104 115 74 203 28 148 144 103 60 2 30 79 117 78 83 29 4 11 119 19 15 124 160 26 215 184 133 214 102 33 139 103 84 96 5 142 232 22 100 252 167 180 226 57 176 83 248 3 27 0 111 18 140 1 118 202 110 160 105 161 4 149 247 60 163 5 163 54 206 200 92 234 98 88 66 155 69 208 95 118 91 33 11 203 163 188 17 29 4 105 143 81 88 173 252 71 167 230 81 80 106 8 68 29 20 11 166 180 255 253 207 110 47 164 33 16 27 39 195 34 130 9 108 193 128 93 3 69 244 152 29 242 112 32 144 217 155 7 218 242 25 4 78 5 133 19 20 93 10 39 88 192 56 234 15 127 208 115 146 26 38 241 130 133 112 132 99 49 160 136 247 48 2 131 24 176 64 124 227 219 88 249 114 212 145 24 144 96 15 0 255 0 2 16 0 32 7 16 108 192 4 27 0 129 28 100 114 128 45 124 70 142 249 195 35 5 15 86 199 72 229 177 142 161 36 96 42 231 248 60 231 1 177 149 41 132 224 42 151 87 202 47 48 163 26 129 210 218 45 170 81 13 101 193 17 141 183 107 224 3 159 70 203 60 150 242 149 168 28 200 29 103 73 199 228 25 129 153 197 116 230 49 19 150 76 101 46 51 154 115 148 224 51 209 152 58 50 218 17 150 77 90 165 54 199 25 75 85 78 147 148 213 68 24 43 7 70 71 114 194 80 156 168 84 167 52 183 137 63 104 222 209 8 249 212 231 62 249 217 79 127 26 129 8 212 75 209 5 56 198 130 145 24 192 7 6 192 1 9 6 192 2 68 42 242 70 141 204 216 5 118 132 143 33 0 225 0 54 24 130 28 52 176 1 77 218 225 72 4 128 0 33 46 248 79 147 246 115 148 31 184 167 62 9 182 210 124 182 180 165 47 85 169 74 93 186 210 153 210 212 166 50 101 233 76 119 218 83 156 214 20 166 251 252 197 53 248 194 193 104 92 131 22 167 193 9 255 80 121 186 207 152 230 148 159 79 13 42 74 113 58 85 170 250 244 159 52 237 20 83 161 153 85 174 254 212 169 58 213 41 88 89 218 211 177 122 213 172 80 69 105 84 171 218 212 181 178 21 171 254 36 171 86 191 138 86 167 210 181 174 114 165 42 94 243 250 214 147 254 85 127 180 32 199 4 186 231 48 27 93 96 0 38 32 164 15 54 48 128 67 38 82 124 55 186 17 69 47 16 3 26 204 192 14 64 176 129 13 8 48 4 59 116 20 4 56 96 217 76 14 225 22 178 254 245 170 103 213 43 91 111 218 212 167 246 53 170 123 189 167 107 127 202 215 176 170 244 26 26 228 224 45 158 225 138 31 136 240 45 176 13 43 107 103 219 213 154 118 85 170 110 141 45 113 11 102 220 215 106 181 173 198 245 235 78 91 235 220 218 166 213 170 203 189 107 117 161 59 92 177 170 85 187 212 45 110 119 203 122 215 184 78 87 166 220 253 174 116 177 171 92 239 138 183 185 228 125 233 91 193 106 5 251 222 23 191 38 197 239 126 23 97 7 25 209 168 35 23 160 1 9 94 255 96 0 132 106 192 5 52 112 232 130 197 183 96 6 83 148 5 49 176 236 0 242 81 6 2 92 216 6 90 16 132 6 64 16 142 50 112 54 73 160 65 237 136 63 96 5 35 152 216 196 201 101 239 123 95 106 223 19 191 24 197 194 45 175 83 93 92 98 24 223 56 198 37 142 49 138 153 113 13 89 112 112 22 211 184 70 48 164 245 0 219 150 117 199 47 134 102 141 113 154 100 19 183 248 201 58 206 167 147 105 252 228 20 187 24 199 55 174 242 148 79 76 229 168 98 25 197 46 78 114 63 189 204 207 50 239 83 204 90 54 243 152 159 188 100 43 119 57 198 250 108 115 150 231 44 231 55 203 89 201 92 62 179 157 245 172 102 52 191 121 206 99 238 243 158 167 124 231 64 103 121 196 251 85 244 126 79 76 132 139 148 0 6 15 165 1 12 186 135 208 25 53 244 177 136 156 240 75 220 231 2 199 74 216 178 52 24 192 12 4 1 128 11 19 0 0 41 80 8 14 82 96 106 151 61 194 3 10 40 244 162 235 236 207 252 10 250 207 92 238 51 156 211 28 231 255 53 235 90 203 140 62 180 175 209 12 227 48 27 161 28 68 221 160 214 136 113 141 95 252 96 84 52 37 116 151 129 29 103 97 35 250 215 121 182 246 173 167 13 102 60 91 153 219 221 190 115 176 195 45 238 106 43 89 216 247 205 51 182 139 125 108 117 227 154 207 218 70 119 185 233 108 235 113 111 251 221 239 94 55 188 7 29 230 94 175 59 222 109 246 247 162 245 171 104 35 208 2 5 223 211 72 132 93 160 1 3 27 224 5 36 88 184 67 37 60 233 13 224 160 36 123 72 129 29 242 145 142 1 208 64 212 44 113 65 133 57 123 225 33 164 192 34 145 188 48 23 224 161 2 117 168 3 22 49 151 249 204 97 65 107 125 163 184 230 53 64 177 38 156 92 115 118 7 60 231 60 175 193 137 135 110 5 157 227 56 231 68 255 119 157 107 238 243 29 231 60 231 86 120 198 53 116 41 168 91 8 57 7 192 149 182 21 106 206 117 251 70 61 232 69 215 249 210 161 14 246 50 155 157 202 104 223 249 210 237 93 109 181 175 221 232 74 191 57 192 11 61 101 88 20 255 61 236 120 175 193 219 189 238 117 164 27 61 230 105 23 251 181 137 29 240 111 207 90 204 55 207 247 173 121 110 244 51 11 253 241 144 55 247 137 239 222 247 166 59 190 235 183 134 113 217 173 160 9 207 127 30 244 54 175 193 232 73 63 250 69 200 193 123 38 72 48 13 92 0 130 132 34 20 124 52 0 181 101 93 64 2 140 251 72 11 34 3 128 22 236 96 178 150 180 164 72 90 56 53 1 180 80 6 57 148 33 164 73 34 199 23 96 209 120 155 219 92 19 96 143 254 231 165 223 124 201 119 126 250 211 231 186 208 63 111 244 207 239 29 240 152 255 58 215 193 143 253 230 123 189 6 209 247 190 211 141 64 125 158 55 157 231 47 62 198 53 162 1 100 89 56 27 14 188 202 115 208 187 126 254 237 95 255 253 198 239 238 192 79 231 6 207 252 2 176 250 60 239 252 198 174 243 198 207 235 238 46 243 48 47 254 26 208 241 20 16 1 9 16 240 132 78 250 140 14 3 193 111 243 238 203 250 206 175 233 210 79 251 70 80 251 246 78 232 48 176 235 44 240 1 255 211 47 4 47 80 251 62 240 0 91 48 251 212 239 196 26 111 236 20 112 251 0 79 239 64 80 0 71 207 2 89 48 233 200 79 7 33 208 241 8 80 233 184 47 198 120 174 8 73 208 4 119 46 0 211 111 244 190 46 5 157 174 241 64 15 11 179 80 11 63 207 18 52 193 209 20 74 245 88 66 177 30 46 37 62 174 226 70 205 225 124 228 71 116 239 162 118 207 14 244 129 72 96 0 6 102 64 31 228 192 212 48 172 248 144 15 196 56 192 38 140 192 250 182 144 230 104 206 2 95 48 251 154 143 16 13 209 253 166 239 15 11 177 6 131 16 17 177 240 5 23 49 17 31 49 11 35 209 243 114 107 217 172 46 183 222 68 5 62 192 17 27 17 18 7 113 11 63 81 18 43 81 20 71 145 20 81 113 18 65 81 11 9 145 17 75 177 18 15 241 19 95 81 21 163 79 22 97 17 18 255 208 18 85 49 230 102 81 23 79 17 21 123 145 17 21 177 22 133 241 23 137 145 23 93 145 22 147 49 8 87 17 23 21 48 16 133 17 244 44 193 8 18 78 161 255 72 64 14 41 6 161 174 113 245 68 13 6 54 224 5 76 194 36 214 16 0 212 103 179 0 160 12 4 97 3 220 103 6 72 64 3 62 236 212 128 96 8 180 96 8 74 142 126 200 193 8 186 176 22 1 17 24 71 209 24 121 209 20 145 49 24 149 177 21 11 82 32 53 33 183 126 140 131 150 225 26 146 33 255 190 224 6 151 113 32 155 145 31 13 146 18 253 145 32 3 210 34 89 49 22 41 210 32 43 242 34 1 49 35 67 49 24 251 81 36 61 82 35 253 209 36 91 113 36 65 239 25 93 114 37 59 146 35 97 114 31 119 177 24 163 17 22 243 96 15 18 234 30 76 32 101 74 192 192 80 14 4 96 192 211 196 240 30 12 64 13 101 96 7 214 32 9 154 114 13 56 96 146 56 203 6 72 230 30 214 145 4 54 192 14 132 239 212 0 96 8 46 106 38 148 239 11 244 113 31 101 242 37 103 18 11 133 193 243 208 242 243 140 33 21 153 209 44 81 82 11 213 114 254 148 1 200 154 237 26 24 131 2 34 82 34 49 18 46 105 82 21 213 82 45 255 61 143 45 219 114 34 223 210 48 211 18 49 215 146 38 67 146 37 251 50 17 255 50 49 5 147 36 25 147 44 1 178 22 1 19 244 6 115 49 15 243 31 75 242 50 35 83 19 52 51 49 141 65 45 73 147 48 199 114 44 187 240 11 49 194 163 128 50 5 16 234 30 58 237 37 52 192 7 198 81 100 214 0 30 8 97 19 2 36 4 200 32 9 48 32 163 240 208 14 238 33 31 58 172 12 0 128 11 48 76 30 101 2 73 248 144 2 176 15 53 199 178 51 85 242 51 53 33 48 67 243 44 7 211 52 173 83 45 109 146 47 107 16 19 129 76 25 144 42 218 254 207 20 74 179 52 53 33 22 78 115 11 207 115 61 217 83 11 207 19 45 223 19 62 179 240 60 77 19 45 187 51 38 115 209 49 251 243 243 48 83 49 65 79 24 180 19 48 209 83 50 99 1 63 173 83 65 67 51 61 17 212 61 235 147 63 13 179 44 19 243 58 69 211 58 9 52 45 133 193 64 177 211 65 19 52 63 55 148 45 59 212 67 185 243 65 33 244 243 76 1 69 83 84 69 255 87 84 69 239 192 69 93 244 229 38 32 161 94 224 30 64 224 30 94 79 161 64 192 39 77 0 4 94 96 15 212 144 7 208 32 14 30 129 12 120 69 116 30 128 22 224 129 3 14 96 248 208 209 14 4 1 7 228 96 180 46 108 146 52 107 229 224 129 2 34 1 22 52 148 75 187 52 22 190 20 76 195 212 20 70 84 67 207 51 45 67 244 63 67 147 76 133 193 76 47 84 61 131 176 68 53 97 76 187 128 77 133 129 62 231 52 78 241 84 67 213 51 79 141 161 11 206 243 14 98 33 33 235 18 255 114 64 1 8 177 79 255 84 24 238 96 77 219 116 64 223 180 28 232 19 45 141 193 24 36 85 77 191 52 77 41 245 75 27 21 48 209 180 28 18 21 80 141 1 84 23 85 84 71 149 81 81 52 80 61 143 78 77 97 85 187 160 85 93 149 77 93 85 81 239 212 79 67 21 85 247 52 22 76 193 82 53 21 65 85 53 85 119 181 82 123 213 84 75 245 14 234 148 86 21 245 84 77 161 88 81 212 78 79 180 86 73 245 86 81 117 61 17 52 63 255 21 180 76 59 21 82 117 53 83 131 149 45 153 245 88 109 85 89 217 52 92 231 83 87 135 53 90 195 213 61 89 84 93 89 52 76 191 84 39 13 12 35 186 231 53 17 170 4 56 12 70 144 146 7 214 48 10 14 129 12 54 129 2 106 32 18 196 161 17 196 33 18 58 101 19 182 128 73 79 77 163 246 64 14 246 224 56 135 207 6 172 20 73 214 224 118 26 97 93 229 179 75 187 212 243 244 52 89 151 21 93 239 192 20 202 193 78 69 181 89 55 246 89 59 86 92 151 21 100 69 214 65 75 52 82 115 213 91 95 54 69 113 181 92 21 213 78 221 51 82 61 47 21 232 47 19 103 225 22 100 1 104 199 51 24 202 147 52 63 213 78 35 21 103 97 246 104 97 118 61 101 150 89 147 22 69 49 213 104 99 1 105 117 53 87 151 54 106 115 181 105 99 150 105 181 22 106 173 182 92 93 246 107 191 52 108 199 214 107 163 214 105 207 211 91 61 239 83 205 182 108 169 181 109 177 22 108 97 86 87 73 150 106 187 246 109 75 85 110 201 150 110 91 246 110 255 145 118 111 207 182 110 163 214 109 251 182 84 149 246 61 219 182 112 83 212 111 103 246 110 179 54 111 9 151 89 201 53 87 109 22 113 171 150 111 25 247 112 103 246 98 59 55 76 237 148 8 94 239 5 48 174 36 82 32 5 100 132 122 126 148 7 134 96 100 134 96 11 86 0 9 66 64 1 46 33 88 55 181 17 14 142 22 146 128 11 18 150 74 243 208 43 49 108 179 46 204 101 114 224 11 222 161 93 195 148 82 147 87 121 141 33 30 90 225 113 67 22 69 69 182 11 46 23 111 13 87 114 213 22 109 201 54 100 99 33 30 152 183 21 22 55 106 55 247 105 179 23 102 35 181 123 157 23 33 115 75 125 215 55 183 124 1 14 46 104 239 208 55 109 197 21 102 43 213 20 156 183 23 154 151 107 33 215 122 203 86 92 117 213 105 205 215 24 90 1 127 231 87 114 237 151 128 155 246 121 219 86 100 245 119 123 233 150 126 81 20 129 19 184 23 202 161 128 191 55 112 35 215 127 25 55 128 185 119 128 49 248 121 51 55 124 175 247 127 239 182 124 61 152 128 255 31 152 115 195 118 130 91 161 104 83 212 130 99 161 130 191 247 130 239 183 134 9 248 134 19 184 106 25 88 24 166 55 123 163 55 122 133 33 30 192 119 112 55 152 124 163 23 133 191 119 106 49 87 112 17 20 135 159 24 135 143 23 76 203 129 138 203 225 6 240 32 10 74 226 225 76 247 36 12 0 245 52 78 100 116 47 10 122 160 95 139 224 3 4 150 69 73 211 10 168 66 13 150 20 98 185 114 8 0 192 30 131 247 74 105 225 29 192 33 30 242 88 143 243 24 138 161 184 108 135 184 121 101 216 130 109 216 121 77 161 123 43 245 83 29 248 83 203 161 121 105 88 144 105 56 129 13 89 83 19 57 135 11 249 144 169 214 144 157 119 135 163 87 145 67 182 145 141 96 254 214 151 25 30 32 24 134 246 33 185 174 147 25 57 133 91 33 109 155 183 23 238 55 149 27 249 126 99 120 134 9 57 87 47 153 146 77 56 69 93 25 150 91 185 21 94 185 21 226 129 150 7 57 138 37 25 145 51 153 106 43 249 150 39 25 153 7 25 152 53 57 69 69 53 150 255 87 217 130 167 153 134 171 217 154 103 57 152 3 185 150 139 25 151 155 217 145 187 57 146 191 57 144 137 217 20 158 25 147 37 216 144 179 153 149 183 249 123 209 89 113 165 153 155 137 121 156 153 185 156 105 248 126 31 217 150 141 25 147 239 249 126 255 25 158 163 121 157 183 121 143 247 184 23 14 26 161 17 186 160 243 160 12 78 226 53 125 36 95 203 192 116 145 143 117 227 24 0 118 0 30 54 33 7 104 225 8 240 184 160 249 216 121 141 1 154 114 96 13 144 228 141 37 105 248 134 47 73 100 205 163 63 218 165 245 216 157 109 152 145 243 23 150 149 153 159 115 217 156 191 87 152 99 154 157 177 25 146 103 122 136 131 153 130 233 217 146 53 181 6 104 161 62 234 226 56 76 3 9 40 192 19 23 152 147 123 58 166 9 24 168 107 90 168 129 88 149 175 121 170 89 57 30 104 90 168 99 26 122 179 90 155 249 88 166 187 58 168 27 25 166 177 90 150 219 153 172 169 218 172 173 122 143 191 55 172 215 218 167 203 218 171 209 58 174 213 154 154 183 186 170 255 191 250 163 229 122 145 233 154 175 223 218 175 255 90 175 181 186 173 185 250 174 9 248 165 1 219 147 247 58 177 251 26 175 93 218 177 197 154 173 245 215 173 23 155 160 251 248 137 189 193 179 63 251 179 163 184 21 136 192 36 242 117 13 69 198 71 44 122 125 40 105 11 156 226 130 222 193 24 110 160 138 103 219 130 19 216 24 10 150 22 232 1 56 103 2 120 37 54 165 135 247 3 62 152 179 135 91 168 11 26 172 3 27 178 49 91 177 207 154 177 95 154 143 141 59 173 231 58 185 127 154 176 39 59 30 186 0 169 179 226 74 146 5 47 63 160 6 206 217 134 211 217 20 82 193 166 227 1 24 126 121 136 13 153 166 213 251 188 243 183 178 5 59 178 171 187 185 157 155 160 159 155 143 245 217 155 129 129 188 165 58 190 53 219 185 237 27 166 97 122 189 187 26 24 248 91 185 37 123 190 27 27 186 249 216 189 15 123 172 155 215 179 173 217 179 7 188 23 10 92 194 41 220 194 49 60 143 43 28 189 47 124 191 219 59 143 65 220 188 13 188 21 188 161 146 255 129 1 197 83 92 197 87 156 197 129 193 138 119 32 140 195 24 142 85 91 146 0 32 10 232 1 9 174 224 11 58 186 190 255 59 30 192 225 29 142 224 3 242 0 2 14 224 0 146 19 120 83 250 212 184 64 13 194 50 22 56 59 161 163 60 127 129 129 195 243 119 196 127 185 194 15 250 190 197 217 121 63 92 143 169 92 191 131 217 194 205 187 194 83 65 196 11 28 203 169 220 202 91 225 204 93 57 203 215 28 205 77 60 127 203 129 188 187 192 8 130 33 7 178 2 40 228 70 255 190 187 21 188 60 196 203 156 202 211 155 192 55 92 205 181 28 24 38 252 207 1 157 204 245 27 204 59 28 205 15 90 205 249 184 192 25 29 204 205 188 194 219 60 205 181 188 121 43 157 166 83 97 202 83 33 30 188 97 196 43 28 194 209 219 27 68 189 196 81 93 212 45 93 208 51 93 209 245 151 212 227 90 206 71 189 213 243 215 213 29 29 214 63 61 212 109 93 204 191 252 213 81 220 27 170 60 196 221 124 210 59 61 30 64 29 215 151 93 211 37 157 211 217 60 217 255 181 124 213 243 55 213 163 61 215 49 93 216 51 29 210 141 253 217 61 29 215 127 61 208 117 61 219 83 124 219 177 92 202 21 218 199 227 129 28 162 160 117 215 199 221 87 187 74 129 0 2 198 32 7 12 245 29 100 123 204 93 58 21 246 157 223 45 160 11 106 224 3 250 96 13 118 151 183 9 128 142 11 254 194 232 225 1 106 160 165 247 152 223 31 158 223 193 189 209 177 61 209 51 29 197 15 58 213 247 61 214 83 193 27 154 253 205 41 61 218 113 189 213 19 93 205 1 189 22 76 30 229 1 125 232 104 65 140 90 222 200 84 106 85 175 29 204 43 94 197 49 158 223 83 93 226 47 125 230 135 189 230 123 33 227 57 126 223 115 62 216 105 62 197 109 94 227 35 126 196 195 157 226 121 190 232 125 254 230 31 94 232 197 157 232 47 222 233 143 30 234 147 126 226 119 222 226 213 252 231 127 30 233 199 92 231 119 189 231 187 30 226 205 188 220 157 29 206 67 62 217 71 190 227 15 218 236 173 60 210 63 30 217 149 125 237 147 157 228 221 62 204 177 62 236 255 199 189 233 201 30 226 81 252 236 229 30 218 233 158 227 65 219 240 203 158 223 145 65 241 145 129 16 220 157 146 106 60 222 35 22 8 214 32 255 250 224 3 240 128 1 18 127 241 55 95 241 85 193 243 63 95 21 20 191 11 42 224 8 40 193 141 149 252 183 227 128 22 138 33 243 203 222 240 13 95 191 129 158 227 85 33 229 53 126 216 131 153 227 19 157 246 55 190 227 189 129 246 197 252 228 131 222 188 107 1 25 130 95 248 129 129 248 63 60 249 201 59 248 91 33 248 139 159 247 117 63 21 34 117 240 52 129 4 187 128 249 247 189 248 33 30 248 145 33 226 159 191 22 162 223 247 57 222 248 247 125 247 179 63 21 160 63 21 206 223 27 78 94 21 196 127 247 219 63 21 44 224 179 123 1 247 123 63 254 215 63 213 223 63 253 1 162 150 55 100 2 145 165 82 229 45 149 65 132 10 83 29 76 104 80 97 65 137 3 21 122 243 214 171 85 45 135 28 85 61 108 168 208 99 194 132 12 35 34 83 69 176 34 50 146 16 29 158 68 150 210 224 202 84 27 255 57 30 164 40 51 97 173 152 22 105 174 196 168 209 219 70 11 31 77 162 92 216 50 36 204 84 66 83 17 245 22 15 88 188 94 82 129 89 149 234 176 102 199 134 37 93 30 101 170 213 161 199 136 93 149 26 20 26 246 102 196 162 94 151 94 124 11 247 162 133 185 116 233 194 221 4 36 111 94 27 64 248 218 248 123 32 10 61 36 57 104 29 97 192 192 102 220 184 170 26 59 118 204 224 198 145 35 132 32 28 32 128 57 179 102 2 7 146 60 56 108 147 227 98 184 52 55 122 59 118 177 87 218 177 54 199 122 243 88 246 229 217 90 181 68 174 69 104 97 224 196 153 59 189 89 173 117 76 213 106 144 98 45 122 28 190 86 237 107 154 108 205 130 173 205 244 182 183 220 72 65 202 126 110 187 227 244 138 169 161 143 44 205 20 53 242 214 198 153 139 100 10 254 180 80 158 188 87 254 14 78 59 52 235 173 43 143 31 28 79 127 249 70 225 185 117 202 39 174 156 125 252 177 167 147 123 192 0 39 156 119 232 197 167 222 78 231 233 100 154 120 39 53 245 212 255 129 3 13 244 96 122 18 34 132 95 113 245 153 87 139 5 63 29 243 16 70 208 197 246 21 90 217 137 181 221 89 15 210 6 99 140 50 202 200 145 5 31 68 113 192 95 58 218 64 128 13 7 28 0 129 26 155 244 113 196 47 200 52 113 76 146 73 142 246 214 140 48 34 99 1 3 53 28 241 192 26 62 110 166 25 23 240 168 128 7 3 163 57 9 227 119 12 110 168 162 5 181 101 56 230 122 28 214 102 166 99 232 65 24 158 154 101 158 217 216 155 26 202 73 155 42 109 62 102 103 154 14 206 249 88 157 98 70 136 39 155 116 58 118 81 146 29 6 8 162 136 3 45 37 16 154 132 254 153 231 158 143 189 165 168 164 113 82 106 104 160 8 157 246 80 109 137 30 115 102 159 147 78 88 233 161 141 37 58 234 153 173 174 170 105 131 168 118 26 40 171 177 146 153 170 167 182 222 90 168 158 170 126 138 154 155 131 110 58 171 175 186 170 199 231 176 178 114 168 100 179 74 122 234 24 140 170 173 1 68 143 60 98 230 35 23 107 16 130 5 57 71 116 113 146 255 167 199 32 115 12 146 77 144 75 46 180 141 229 233 15 56 71 212 0 15 7 63 98 121 0 7 132 40 112 199 46 250 238 203 111 191 251 122 163 175 160 11 70 200 201 49 5 123 116 112 77 1 55 150 240 171 8 173 75 46 39 228 146 168 74 195 21 35 188 48 195 170 100 172 202 179 111 114 76 110 168 15 215 98 241 196 170 32 25 220 73 166 114 156 36 202 39 107 188 239 99 205 30 84 176 196 20 11 53 114 193 73 62 6 178 146 44 143 123 204 46 14 191 38 92 157 156 236 114 113 192 156 108 140 244 207 73 10 141 49 211 50 251 252 154 211 65 87 157 116 211 28 119 76 46 212 72 15 189 110 112 61 119 141 117 201 89 75 141 158 197 240 57 132 116 218 61 63 141 181 55 106 11 103 114 112 76 35 237 24 146 29 123 141 208 210 169 28 125 247 99 19 95 189 113 223 29 139 60 247 78 250 58 235 172 186 119 51 242 15 57 242 94 134 217 143 28 28 130 69 31 31 116 145 10 202 140 59 158 160 147 156 140 206 9 35 192 224 129 7 18 75 112 70 57 255 103 24 80 210 71 5 229 120 222 172 191 252 158 157 177 220 240 189 6 95 208 187 112 18 8 201 102 3 167 175 220 195 35 163 47 240 192 209 28 220 179 225 6 76 238 105 82 59 134 46 225 72 31 173 111 32 70 107 237 187 224 62 39 142 252 239 193 119 239 88 146 93 99 63 53 220 133 203 189 119 208 65 215 114 253 238 29 211 157 252 248 191 203 223 123 241 10 87 140 191 112 190 43 31 52 244 149 239 123 187 48 216 206 12 40 28 222 209 79 104 240 195 91 99 14 248 187 2 38 238 127 246 195 158 3 81 66 64 3 218 172 99 2 108 204 224 34 168 65 249 157 132 120 12 20 26 233 224 147 176 154 237 12 25 128 91 90 192 114 23 181 197 181 13 112 50 228 159 112 116 166 179 147 129 173 104 27 3 90 202 26 19 48 36 73 239 126 55 124 26 233 142 136 196 36 34 81 21 229 216 196 18 184 48 47 14 36 225 7 57 8 70 5 192 37 6 37 106 113 139 91 20 3 35 202 241 142 98 80 130 3 80 188 12 7 40 145 3 114 220 64 120 73 100 92 255 237 46 104 190 0 74 208 96 187 16 200 241 234 71 60 236 5 205 134 36 123 218 28 139 232 59 131 77 80 127 68 236 163 239 154 48 58 131 165 171 98 215 75 161 31 5 137 64 67 42 173 102 142 244 29 11 41 89 73 125 93 82 144 137 76 224 252 106 131 71 57 22 240 122 86 227 155 5 3 225 195 249 73 109 73 98 43 88 4 51 185 139 77 30 209 121 64 68 90 196 80 248 200 68 206 18 124 161 140 224 40 25 201 75 241 229 177 134 71 235 164 36 99 169 203 19 26 83 129 36 20 10 212 96 41 75 210 93 18 150 144 60 226 52 161 153 204 209 33 114 150 128 156 36 39 49 169 76 46 138 147 19 98 176 0 30 42 160 134 36 36 129 18 112 240 0 57 20 112 3 14 102 98 158 244 172 231 56 239 89 48 96 220 1 15 180 88 132 58 41 65 8 15 208 194 24 181 8 68 61 237 185 69 58 126 19 151 190 163 39 44 51 241 208 68 206 83 162 5 131 104 68 41 138 209 140 114 98 162 27 181 40 68 143 97 209 209 57 116 163 26 157 40 72 143 255 200 209 224 112 212 162 6 76 89 11 73 183 82 93 158 20 166 33 157 169 72 67 90 81 148 226 52 167 52 109 35 78 57 122 196 83 240 244 166 73 20 170 77 59 90 212 146 238 148 19 66 85 106 82 79 216 205 93 108 243 155 21 75 162 4 37 56 203 159 46 181 169 68 37 41 37 143 10 84 210 113 149 164 96 221 42 74 157 138 196 177 214 84 171 79 21 105 79 185 120 208 184 210 19 53 146 57 130 2 20 64 142 98 224 193 2 98 48 232 82 241 41 215 176 30 209 139 229 192 67 49 236 74 139 7 20 227 6 255 160 157 179 224 10 83 175 130 243 173 44 141 44 84 233 41 212 152 98 114 167 101 109 171 100 33 90 83 37 142 180 178 110 69 98 103 211 122 86 183 134 54 137 38 101 43 106 45 75 210 213 34 49 165 174 13 106 106 99 27 206 217 174 85 167 158 13 41 104 115 203 219 19 214 86 172 183 253 109 54 131 219 85 210 74 54 171 200 37 46 108 141 59 217 174 222 212 163 217 252 235 80 145 250 218 210 226 118 116 153 213 172 193 2 43 216 255 160 158 98 188 227 237 198 78 202 113 131 27 88 160 98 221 32 239 88 139 234 222 248 130 55 190 241 245 162 5 140 129 135 27 148 3 24 140 16 3 120 255 27 214 240 170 53 178 33 205 236 116 169 203 212 142 190 194 187 176 21 45 104 61 138 224 83 104 86 194 221 125 69 133 37 28 225 76 24 117 184 220 45 174 100 13 220 209 143 114 56 193 207 253 176 87 29 10 210 12 119 183 180 20 222 232 133 71 203 93 13 187 56 193 243 180 48 66 45 218 98 25 79 88 199 6 30 175 130 49 156 9 144 10 185 165 59 206 44 136 125 140 228 31 207 181 200 51 46 176 80 49 204 98 30 75 246 187 8 230 164 117 137 186 82 38 235 88 184 42 110 178 112 153 250 100 29 107 152 190 228 157 47 153 187 97 222 99 136 33 139 186 13 44 153 201 187 197 255 142 110 205 181 232 47 155 241 169 196 5 59 20 201 26 222 115 152 129 76 227 76 216 120 158 41 6 180 87 115 12 98 78 232 121 162 47 38 244 60 49 220 232 32 63 122 210 93 222 242 232 22 13 81 40 31 255 90 202 33 197 52 83 97 252 105 35 75 214 211 64 174 116 162 73 125 208 40 139 186 211 246 44 181 158 143 241 106 61 171 218 203 151 110 117 61 45 172 100 71 247 185 207 145 46 244 164 53 141 99 78 147 14 213 244 196 53 159 1 237 227 26 3 217 215 188 6 53 162 167 156 233 84 223 56 198 171 30 182 173 139 189 226 77 87 251 192 0 238 118 183 185 248 230 241 122 123 220 221 126 133 185 207 141 238 104 99 59 196 41 118 168 160 181 124 234 107 43 59 196 163 128 247 168 229 45 232 238 102 162 222 166 190 247 158 111 173 239 122 199 90 195 199 120 70 175 41 77 225 26 139 121 208 146 222 117 194 223 13 108 106 211 90 209 248 198 53 61 5 62 207 102 100 188 222 28 183 55 171 255 189 238 139 191 219 227 214 6 249 188 69 238 105 109 79 156 216 39 159 39 198 31 157 235 134 67 122 215 11 6 114 51 70 49 240 83 20 188 200 26 207 249 206 59 78 242 90 155 60 223 225 30 133 209 143 126 116 116 43 221 194 225 38 247 65 155 1 245 168 71 29 233 255 84 199 249 210 207 93 117 164 3 120 209 24 30 180 185 57 1 244 121 218 34 210 207 216 248 43 248 221 239 143 51 26 224 244 30 57 205 187 254 10 176 147 221 217 60 238 57 207 195 158 9 91 232 25 239 122 247 184 221 249 190 104 85 223 220 236 252 222 251 220 233 126 138 193 3 30 230 202 166 103 217 93 190 239 122 246 93 195 134 95 60 229 131 78 241 161 91 28 242 92 111 188 160 227 62 138 83 84 126 244 135 223 119 233 67 111 121 209 143 28 214 26 78 253 130 101 173 109 197 255 157 244 132 119 186 228 109 129 251 220 231 254 234 231 182 61 102 223 204 123 115 255 55 248 152 142 235 216 79 81 118 209 63 195 245 239 94 240 241 147 255 138 229 195 251 230 167 63 69 213 35 79 207 201 171 254 245 121 31 47 244 165 207 124 238 63 159 242 224 79 188 209 193 28 106 122 206 62 19 207 176 69 248 223 61 126 229 115 220 250 216 23 187 158 183 15 127 239 147 127 254 252 22 60 199 53 30 122 49 247 120 166 151 117 245 151 119 247 199 125 206 167 127 242 71 255 128 221 55 94 199 119 10 238 103 128 218 151 128 14 248 125 252 119 128 46 103 125 54 214 113 104 151 129 151 39 126 11 24 125 24 168 119 239 167 128 200 183 127 13 88 130 213 151 117 16 232 126 239 247 95 186 39 131 225 70 131 200 247 12 55 136 131 56 248 95 225 70 124 57 232 131 203 151 117 70 7 96 12 136 122 7 136 122 230 118 115 55 215 129 146 135 128 205 103 129 41 88 132 43 104 117 73 40 132 85 200 132 143 86 129 241 55 130 42 120 118 27 248 10 84 200 113 86 152 125 77 24 130 40 72 132 244 39 133 72 56 10 74 184 111 71 55 129 100 152 127 102 184 133 81 216 133 83 184 134 85 168 117 30 72 129 78 168 133 229 87 111 105 248 133 119 24 134 121 120 133 32 24 135 23 200 133 71 24 136 108 88 128 122 8 135 39 136 136 116 168 136 96 216 134 215 231 136 88 200 135 34 232 135 70 232 133 148 24 132 38 248 132 68 248 137 163 72 138 165 104 138 165 72 131 82 167 138 74 120 138 72 231 130 70 119 118 175 136 115 163 32 129 151 104 255 136 144 8 133 104 88 135 106 200 136 65 104 126 176 216 12 184 71 94 47 24 139 180 56 140 176 72 139 201 248 134 152 88 134 145 168 139 147 40 136 149 88 117 191 136 115 193 40 140 15 136 140 238 247 130 203 120 139 161 56 135 207 216 137 209 248 137 212 248 133 185 7 138 125 72 130 187 184 136 120 152 117 228 104 141 218 120 140 179 168 141 110 104 139 248 135 139 103 248 135 234 232 137 190 200 138 229 136 123 202 88 143 89 168 137 233 8 141 189 216 142 74 88 131 111 246 131 57 184 131 60 24 124 11 121 131 163 248 95 163 72 131 217 152 140 85 39 139 197 248 130 84 119 141 17 104 145 27 233 138 181 88 136 246 232 141 155 8 136 251 120 144 73 247 142 201 168 123 70 215 145 196 200 146 45 184 141 1 153 137 114 104 146 250 40 142 252 168 146 230 168 141 230 72 139 34 57 134 204 120 136 185 152 143 5 201 142 211 216 143 43 217 147 255 248 147 98 104 127 66 121 143 223 88 148 225 104 144 72 185 147 255 184 148 47 200 148 25 25 147 24 249 130 235 215 138 126 168 103 125 78 249 129 36 137 142 166 39 131 105 169 150 32 217 138 107 184 138 83 247 137 224 37 145 190 55 132 82 201 137 118 88 149 84 231 142 60 249 147 91 201 149 243 232 149 100 185 135 205 72 148 119 201 139 71 169 151 73 201 151 45 217 148 220 104 150 3 153 136 84 137 152 72 183 151 88 217 151 90 57 147 35 41 144 54 73 144 146 57 136 86 9 140 139 233 147 91 25 143 26 41 147 70 7 150 238 103 125 99 121 142 144 41 137 158 41 141 137 121 149 243 200 152 126 89 154 93 201 145 95 25 118 1 1 0 59) asByteArray! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:37'!
menuGif
	^ #(71 73 70 56 57 97 220 0 42 0 230 0 0 132 170 84 150 189 98 243 244 242 156 197 104 118 155 72 149 188 98 141 179 92 140 177 90 144 183 94 127 165 80 125 161 78 223 223 223 146 186 97 150 188 100 129 166 81 115 150 69 151 190 101 191 196 183 154 194 102 141 180 93 139 176 90 126 164 79 219 232 201 120 157 73 132 168 83 124 160 77 207 207 206 117 154 71 143 181 93 203 210 194 214 237 194 157 194 106 191 215 161 160 188 123 135 170 90 120 156 74 203 204 201 169 189 141 232 240 222 153 189 106 219 219 219 213 242 191 249 249 249 148 186 97 196 196 196 212 243 191 145 183 97 179 179 179 151 191 99 213 244 192 237 237 237 150 190 98 212 242 190 238 238 238 149 189 97 148 188 97 152 191 102 213 242 190 156 193 105 134 172 86 145 182 97 178 178 178 148 189 97 151 190 99 148 186 99 129 167 82 123 159 75 134 169 90 151 189 97 152 191 100 248 248 248 150 188 97 251 251 251 114 149 69 154 193 102 136 174 88 197 197 197 114 148 68 134 168 90 215 226 199 119 156 73 122 158 75 214 226 198 149 187 97 136 175 88 143 182 93 149 186 97 115 151 69 135 173 87 137 175 89 231 231 231 149 187 98 213 243 191 116 151 70 215 227 199 149 186 99 122 159 75 135 169 91 149 187 99 143 182 94 137 175 88 156 194 105 214 226 199 252 252 252 211 240 188 220 220 220 142 178 94 115 149 69 214 214 214 146 183 98 131 164 88 134 169 91 134 173 87 137 173 91 135 169 90 150 189 97 232 232 232 153 193 102 119 155 73 136 170 91 202 203 201 213 243 192 151 190 98 151 191 101 152 191 99 152 191 101 255 255 255 255 255 255 33 249 4 1 0 0 127 0 44 0 0 0 0 220 0 42 0 0 7 255 128 55 54 131 130 132 62 135 134 137 133 139 138 1 5 143 144 142 68 147 148 149 115 150 71 153 154 152 146 145 157 140 136 161 160 162 141 163 166 164 165 167 170 169 171 172 173 174 175 176 168 178 63 122 182 51 183 181 186 185 184 159 188 191 192 193 187 195 194 156 155 199 200 201 198 202 203 205 151 206 208 209 180 190 196 197 213 215 216 212 214 219 211 179 221 222 223 220 226 227 228 229 230 69 124 48 234 232 233 237 238 239 236 189 218 231 244 242 245 246 247 243 249 248 252 253 254 255 250 226 193 19 56 176 224 186 131 4 13 34 84 184 15 160 67 134 16 19 70 92 40 241 161 197 134 19 51 106 220 72 145 163 199 143 32 67 138 28 73 176 129 201 47 64 82 170 92 201 178 229 138 151 48 99 202 156 57 133 166 149 155 54 115 186 220 9 4 130 207 159 29 11 234 172 57 180 168 81 162 71 197 240 68 185 116 69 167 160 239 60 125 40 163 131 234 212 170 88 179 106 221 202 245 106 215 175 86 193 138 245 154 21 135 207 47 146 34 186 0 144 97 67 146 38 112 255 223 202 141 75 119 174 221 186 119 243 234 221 139 183 47 95 185 27 20 0 224 1 116 79 159 195 134 19 67 80 9 194 2 26 63 126 242 64 78 49 185 114 100 203 146 47 107 166 129 185 243 102 207 45 64 139 254 188 217 2 136 147 133 17 43 6 18 71 193 149 215 93 30 192 158 77 187 182 237 216 183 115 227 214 205 187 183 109 5 75 156 54 48 75 92 177 36 11 164 67 39 31 29 131 185 243 229 208 149 75 103 110 161 143 240 226 198 197 44 1 179 161 187 247 239 224 195 19 16 79 126 124 121 243 231 211 171 71 31 30 76 28 159 74 234 196 159 175 100 49 4 228 153 243 63 215 31 125 191 255 254 0 158 70 152 113 137 1 161 70 6 23 216 145 32 20 10 46 216 160 131 15 142 16 33 132 20 86 40 161 133 12 102 120 161 134 28 118 56 33 134 25 42 192 193 112 18 148 72 223 10 60 128 0 32 127 44 254 215 220 138 46 198 8 130 11 78 153 120 34 91 81 228 168 163 16 60 130 177 99 143 63 2 25 164 144 68 14 233 99 145 72 38 169 228 255 146 0 212 72 159 4 16 208 232 88 140 48 86 153 3 149 87 90 105 153 128 16 60 9 165 11 21 100 32 166 2 100 150 105 230 153 104 166 169 230 154 108 182 233 230 152 111 102 144 192 128 54 90 167 134 14 148 105 169 103 158 124 98 233 231 114 101 168 1 68 157 123 76 161 70 5 136 38 144 232 162 140 54 234 168 162 144 62 42 233 164 145 82 106 105 165 152 86 32 168 18 3 116 58 128 18 86 196 161 195 159 125 238 73 234 169 126 232 16 7 3 137 153 232 66 28 65 56 16 235 172 178 210 90 235 173 182 230 138 171 174 187 246 234 43 175 192 6 251 235 170 156 122 42 65 168 163 190 216 162 169 204 46 171 44 170 202 170 234 194 30 158 126 234 130 28 0 96 144 237 182 220 118 235 173 182 223 134 11 174 184 227 146 91 174 185 232 126 43 199 180 213 246 193 131 8 120 66 43 111 179 49 234 32 2 187 158 70 41 194 14 252 246 235 239 191 0 99 1 71 192 4 23 44 176 193 8 39 124 240 194 12 55 124 47 181 198 94 59 42 189 20 59 59 239 255 116 154 217 139 111 167 238 134 145 197 18 32 127 76 6 21 33 151 108 242 201 34 163 156 242 202 44 171 76 242 203 48 187 60 178 204 52 63 220 174 196 21 95 172 115 116 26 23 203 241 181 7 4 45 244 208 68 23 109 244 209 72 39 173 244 210 76 35 109 115 196 240 114 150 243 212 89 150 90 181 188 61 223 124 199 4 92 27 224 245 215 93 135 45 54 216 100 151 61 246 217 102 167 173 246 218 108 143 253 116 167 199 194 187 51 23 115 239 172 196 219 214 222 91 5 2 124 239 221 247 223 128 143 33 120 224 126 19 94 56 7 136 15 110 248 226 137 51 222 248 227 144 43 238 247 186 62 231 157 108 221 84 207 157 53 212 12 116 238 2 15 158 135 142 128 232 162 243 48 250 232 164 127 94 122 232 165 255 237 185 233 170 183 254 57 224 12 16 94 251 235 176 227 78 57 199 133 170 225 70 3 207 102 46 60 198 22 195 8 129 27 155 22 232 59 78 73 53 191 133 243 208 35 37 125 244 47 33 223 147 187 46 168 33 135 2 46 96 94 60 241 222 123 198 131 255 2 34 168 49 59 15 218 115 127 254 250 236 183 239 254 251 240 199 47 255 252 244 147 111 254 181 67 184 225 154 8 195 135 79 117 28 77 80 128 27 134 64 192 252 237 47 12 111 40 160 2 23 232 4 6 54 208 129 8 140 224 3 37 8 65 10 86 112 130 24 188 160 6 23 24 192 1 14 225 15 127 80 65 13 80 48 165 254 153 80 106 86 139 145 5 80 80 3 21 128 16 132 70 144 1 10 84 67 67 2 213 208 134 56 204 225 13 119 200 195 30 234 208 135 44 116 225 11 69 72 66 255 125 207 136 158 89 97 11 95 24 66 25 250 240 135 79 140 34 20 83 35 69 236 76 17 49 65 100 98 12 139 120 196 19 34 49 57 74 20 34 12 157 88 197 43 154 145 138 101 76 99 21 179 56 68 25 74 33 133 94 140 99 23 91 96 4 41 176 113 140 40 248 192 25 213 200 199 62 250 81 53 58 184 99 19 23 32 5 1 200 241 139 115 244 131 0 158 32 72 36 200 96 1 37 248 227 30 209 40 201 73 90 81 49 37 88 192 18 219 184 0 13 152 0 255 142 87 59 164 40 179 228 1 13 104 18 9 76 116 228 2 34 80 201 86 186 82 146 17 56 101 42 5 160 5 13 116 192 144 160 68 228 23 61 208 1 13 208 65 0 168 28 34 45 59 16 130 75 190 242 152 150 52 99 8 58 176 0 96 206 82 11 108 32 65 7 60 160 203 81 122 134 151 36 96 131 22 156 41 76 104 70 160 152 138 49 38 50 195 57 206 52 158 32 2 218 228 38 39 53 192 130 14 152 192 3 70 176 166 60 99 160 2 1 240 146 5 166 220 164 22 31 169 129 23 128 147 156 229 12 168 31 67 240 130 124 138 241 133 103 160 37 10 240 16 129 8 116 192 11 79 128 168 20 34 58 81 138 154 193 162 18 205 40 70 53 186 209 142 122 244 162 28 13 233 71 63 218 129 134 146 0 5 219 12 230 51 23 26 129 18 252 83 160 48 53 103 8 74 16 1 60 160 84 157 43 101 103 4 94 192 211 158 250 244 167 64 237 65 80 133 74 212 161 26 245 168 72 77 106 81 35 192 4 13 220 84 165 76 12 161 66 117 170 212 162 86 245 170 88 255 205 170 85 125 202 84 167 166 52 170 8 53 2 45 23 192 6 13 224 129 5 104 77 171 90 153 176 86 182 186 181 173 112 141 171 92 231 74 215 186 162 149 4 26 96 195 2 126 169 2 168 166 82 172 116 32 171 89 237 74 216 183 22 246 176 136 133 43 30 242 186 87 96 158 1 172 8 69 130 0 100 160 5 45 44 96 1 40 200 172 102 55 203 217 206 122 246 179 160 13 173 104 71 155 6 206 94 182 178 50 112 44 100 35 59 217 202 94 150 180 176 141 173 108 103 11 218 211 106 161 6 170 93 109 88 5 48 89 25 248 246 183 192 173 65 112 135 43 92 226 22 247 184 198 69 174 114 147 203 220 230 242 214 8 126 213 45 18 234 217 219 229 54 247 186 216 181 110 118 183 59 220 231 70 87 183 33 156 238 25 250 74 94 21 64 215 188 232 77 175 122 215 203 222 243 182 215 189 239 141 175 124 215 59 94 240 174 22 9 227 157 238 124 225 203 223 253 246 215 191 255 5 48 124 241 107 223 2 27 248 192 8 78 176 130 23 204 224 6 59 248 193 16 142 176 13 132 39 76 225 10 91 248 194 24 94 109 32 0 0 59) asByteArray! !

!SUAllTestLibrary methodsFor: 'accessing' stamp: 'pmm 2/25/2007 13:51'!
selectorsToInclude
	^ #( styleCss )! !

!SUAllTestLibrary methodsFor: 'uploaded' stamp: 'lr 1/3/2009 19:27'!
styleCss
	^ '/* Adapted from http://script.aculo.us, thanks to Thomas Fuchs */

body { 
	margin: 0;
	font: 11px Lucida Grande, Verdana, Arial, Helvetica, sans serif;
	background: url(background.gif) repeat-x #fff;
}

a, a:hover, a:visited, a:active {
	color: #e8a400;
	cursor: pointer;
}

img {
	border: 0px;
}

#header {
	height: 110px;
	text-align: right;
	background: url(header.gif) #7e9e50;
	color: #333;
	margin-bottom:25px;
}

#logo {
	float: left;
}

#menu {
	list-style-type: none;
	position: absolute;
	right: 0px;
	top: 95px;
	margin: 0px;
	padding: 0px;
	margin-top: -10px;
	padding-right: 5px;
}

#menu li {
	text-transform: lowercase;
	float: left;
}

#menu li a {
	display: block;
	width: 110px;
	padding-top: 9px;
	height: 16px;
	text-align: center;
	text-decoration: none;
	color: #fff;
	font-weight: bold;
	background: url(menu.gif) 110px 0px;
}

#menu a.active {
	color: #7f9f50;
	background: url(menu.gif) 0px 0px;
}

#menu a:hover {
	color: #7f9f50;
	background: url(menu.gif) 0px 0px;
}

#content {
	margin-left: 60px;
	margin-right: 60px;
}

#content h1 {
	font: 22px Georgia, serif;
	color: #7e9e50;
	font-weight: normal;
	margin: 0px;
	padding: 0px;
	text-transform: lowercase;
	font-style: italic;
	padding-bottom: 4px;
	border-bottom: 1px dotted #c5dea1;
	clear: left;
}

#content h2 {
	font: 18px Georgia, serif;
	color: #7e9e50;
	font-size: 15px;
	font-weight: normal;
	margin: 0px;
	padding: 0px;
	margin-top: 20px;
	text-transform: lowercase;
	font-style: italic;
}

#content h3 {
	font: 13px Lucida Grande, Verdana, Arial, Helvetica, sans serif;
	margin: 0px;
	padding: 0px;
	margin-left: 10px;
	margin-top: 10px;
	font-weight: bold;
	text-transform: lowercase;
	color: #444444;
}

#content p, div.paragraph {
	font-size: 12px;
	line-height: 1.7;
	color: #444444;
	margin-left: 10px;
	margin-top: 10px;
}

/* demo box */
div.box {
	width: 120px;
	height: 120px;
	margin-right: 10px;
	margin-bottom: 10px;
	background: url(demo.gif);
}

div.box div.header {
	height: 23px;
	background: url(demo-logo.gif) repeat-x;
}

div.box div.content {
	padding-top: 1em;
	text-align: center;
}

div.smallBox {
	width: 100%;
	height: 100%;
	background: url(demo.gif) ;
}

div.smallBox div.header {
	height: 20px;
	background: url(demo-logo.gif) repeat-x;
}
div.smallBox div.content {
	padding-top: 1em;
	text-align: center;
}

/* source code */
div.source {
	margin: 5px;
	padding: 5px;
	border: 1px solid #dddddd;
	background: #f5f5f5;
	font: 12px Lucida Sans Typewriter, Courier, monospace;
}'! !

!JSConversionTest methodsFor: '*scriptaculous-tests-core' stamp: 'lr 10/13/2008 22:01'!
testInterval
	self
		assert: (self mock interval: 2 seconds)
		equals: 'setInterval(function(){mock},2000)'! !

!JSConversionTest methodsFor: '*scriptaculous-tests-core' stamp: 'lr 10/13/2008 21:48'!
testPoint
	self assert: 1 @ 2 equals: '[1,2]'! !
SUAllFunctionalTests initialize!
